#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_hdmi_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_infoframes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x32271dc3, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x37aad687, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xd7657b39, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0xb5876150, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x43e97ac0, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x469d11ad, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x5f23bc24, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x7aefce78, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0xad7276f6, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0xa80277a1, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x073a4d27, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x4ae3d193, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x1d60acef, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x0c0cac18, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xfd09ddd5, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x1226cc39, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x20307a4a, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xff4c11a3, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xb3d43250, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0xedbe1f27, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x1464044d, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x6a618a1f, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x5f39e622, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0xa24a434e, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x53c42a40, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0xa57653cb, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0xb5a17e00, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x93783353, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x463f5764, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xd918e9d9, "");
SYMBOL_CRC(drm_dp_aux_init, 0x19ff0adb, "");
SYMBOL_CRC(drm_dp_aux_register, 0x4ad0cf2d, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xa44d0e7f, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x0061681e, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xf9b1d02b, "");
SYMBOL_CRC(drm_dp_read_desc, 0x767c0371, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0x2586bb57, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xdb82fb28, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x777a27f6, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x2f50a2da, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xdf5a684d, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xf013835a, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x6c847acf, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0x6b37d8c9, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x09755105, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0xe296a9ad, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xa1f9136a, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x02deecac, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x55fe126b, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x103dcf39, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x07f408b4, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x625521bc, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x0eda9fe9, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x33d9b0da, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0xd58e846c, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x8135f044, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x258c15c5, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xf4397ff3, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x04fcfbd8, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0xf25a5fb7, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x212236ee, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x23103d09, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0x5009ef91, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0x2557230d, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0x55b2ec34, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0x2b8147f2, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x5b3df02e, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x04b6f86b, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x0c5cfcd1, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x2e149b78, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x03066532, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x2daa6f71, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x36fbd60a, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x4146620a, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x1b3f1de3, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0xc62a522b, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x9cc04eeb, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xcbe0774e, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x2aa5d3c4, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xb5e1a128, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0x08112663, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x0475261d, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xd689db46, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x8742bf63, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x73ebb04d, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0xe3f508b0, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x394d5758, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x700dc804, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xa5363aaa, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x22972346, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0xfa090a71, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0xd259c6fb, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0xd5faeb2a, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x2c5c1367, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x9a41529f, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0xdbf38fa3, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x7b7ac254, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xe8128f9f, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x074d24e5, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0x56b4c813, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x36287ca4, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0xbafd4826, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x81883789, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x77cb9f28, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x8bef4671, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0xb5735d39, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x141aa976, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0xd7189d4e, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0xaba84bd1, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0xeb13b66e, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x6e8069bb, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x3012997d, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x84ff8829, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0xad1f69e5, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0xab9f815b, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xcdb6d46d, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x41c42175, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0x654ba3f6, "");
SYMBOL_CRC(drm_scdc_write, 0x0ea86b21, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0xd84bbf72, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0xd4084d99, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0xcdc9bedd, "");
SYMBOL_CRC(__drm_atomic_helper_connector_hdmi_reset, 0x11690590, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_check, 0xc928f482, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_infoframes, 0x74462928, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, 0x7d31054b, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, 0xcc4ca0e9, "");
SYMBOL_CRC(drm_dp_cec_irq, 0x33d792a8, "");
SYMBOL_CRC(drm_dp_cec_attach, 0x517b21b8, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x8f406f59, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x8994a65a, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x93926df8, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xc9049b51, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x533b50a1, "drm_crtc_add_crc_entry" },
	{ 0xa7bca5aa, "cec_delete_adapter" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x496f42ae, "drm_connector_register" },
	{ 0xe8ca0190, "cec_transmit_attempt_done_ts" },
	{ 0xccc56838, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x80db7a7b, "devm_kmalloc" },
	{ 0x477def38, "drm_atomic_get_private_obj_state" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x5894250f, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x5da327aa, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5e52fdbf, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x91e1bf57, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa8b11938, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0xf4624550, "drm_connector_unregister" },
	{ 0xe0d47983, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f679229, "drm_mode_object_put" },
	{ 0xe5ce56e9, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xbec6717c, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x76945dfd, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x9571f019, "drm_atomic_private_obj_fini" },
	{ 0xa916b694, "strnlen" },
	{ 0x631596d2, "drm_property_create_enum" },
	{ 0xfd99dd9e, "drm_dev_printk" },
	{ 0xfd89dede, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3aee6c23, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5255c357, "drm_crtc_wait_one_vblank" },
	{ 0x60c21a2e, "drm_modeset_lock" },
	{ 0xac5eed0f, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x77bb4606, "_dev_err" },
	{ 0x273dc9d6, "drm_hdmi_connector_get_output_format_name" },
	{ 0xe62800c7, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x609057f2, "seq_putc" },
	{ 0xe79f02c8, "drm_crtc_commit_wait" },
	{ 0x3fa8bc36, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5c2f8085, "cec_unregister_adapter" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x19bae7e5, "drm_object_attach_property" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0xbed9fe21, "drm_atomic_get_old_private_obj_state" },
	{ 0x53e9dd0e, "__drm_dev_dbg" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0xc387d924, "_dev_warn" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x49449ea, "mutex_trylock" },
	{ 0x2c0bf96c, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x583c02ec, "cec_allocate_adapter" },
	{ 0x4e7042cb, "drm_object_property_set_value" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xc67b102b, "drm_kms_helper_hotplug_event" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54cbb612, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0x31476f7, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0xefbf1ab8, "i2c_transfer" },
	{ 0x58fd3da0, "drm_display_mode_from_cea_vic" },
	{ 0x5088c9ac, "seq_puts" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2d5e4e03, "cec_fill_conn_info_from_drm" },
	{ 0xd5d9c20f, "drm_sysfs_connector_property_event" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0xeb2dc2ea, "cec_received_msg_ts" },
	{ 0xce7daa9a, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x5de4c26, "param_ops_int" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0x5846884b, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x53bb71f2, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x5eceb013, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1bfe3256, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper");


MODULE_INFO(srcversion, "DB1A90BD50510A82109A182");
MODULE_INFO(rhelversion, "9.6");
