#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xdd7ee860, "");
SYMBOL_CRC(drm_gem_vram_put, 0xcb4ad575, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x08b48309, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xd29a95c1, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x6c95397a, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xb19f9a31, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x421f2908, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x15207424, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xe526fb24, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x85da955c, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xa2e5ddb3, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x817f6e6a, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x5172797e, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x0157fff8, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x7a935c82, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x93a615f0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd571af0f, "ttm_range_man_init_nocheck" },
	{ 0xc68e7ca9, "ww_mutex_lock_interruptible" },
	{ 0xcc9be73a, "ttm_resource_manager_debug" },
	{ 0x99f2545d, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6c39914, "ttm_range_man_fini_nocheck" },
	{ 0xb9f41209, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x354c12bc, "ttm_bo_pin" },
	{ 0xe5ce56e9, "dev_driver_string" },
	{ 0x77812aa7, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa8768ab0, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdc1c6b6b, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x3bffe40d, "drm_gem_object_release" },
	{ 0x78f7882a, "ttm_tt_init" },
	{ 0x221a56c0, "drm_gem_handle_create" },
	{ 0x20d59d49, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd1b116d6, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0xff785e49, "drm_debugfs_add_files" },
	{ 0x3e357928, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd43e6f4, "ttm_device_init" },
	{ 0x294bdb0e, "ttm_bo_validate" },
	{ 0x422b1fc9, "ttm_bo_move_to_lru_tail" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0xcb29d08f, "ttm_bo_vmap" },
	{ 0x1bdfa528, "ttm_bo_put" },
	{ 0x802d69c4, "ttm_resource_free" },
	{ 0xf4cd1a22, "ttm_bo_move_memcpy" },
	{ 0x8a6cbf35, "ttm_tt_fini" },
	{ 0x8f6abdf4, "ttm_device_fini" },
	{ 0x125cb519, "drm_gem_plane_helper_prepare_fb" },
	{ 0xc1915e35, "ttm_bo_eviction_valuable" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0xee778020, "drm_gem_ttm_print_info" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");
MODULE_INFO(rhelversion, "9.6");
