#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x8d1ebea7, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xb5f4f30c, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x6da281e1, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x7e544cad, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x5c24e382, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x71a386a0, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x2567288f, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xbf558a55, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0xd7533940, "_gpl");
SYMBOL_CRC(can_bus_off, 0x0851c12c, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x9ab8b092, "_gpl");
SYMBOL_CRC(free_candev, 0xa5236137, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x6ca571a1, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x51661c97, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xe63f42ff, "");
SYMBOL_CRC(open_candev, 0x0fa44b8b, "_gpl");
SYMBOL_CRC(close_candev, 0xb08f6cf4, "_gpl");
SYMBOL_CRC(register_candev, 0x55242d66, "_gpl");
SYMBOL_CRC(unregister_candev, 0xff77ba33, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x1f6d5df7, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x9bee9ecd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5311409, "skb_put" },
	{ 0xbe86d234, "gpiod_set_value" },
	{ 0xb7e3458e, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb433400e, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8c76b3a1, "unregister_netdev" },
	{ 0x8332974a, "rtnl_link_register" },
	{ 0xe93a6260, "netdev_warn" },
	{ 0xc84309ce, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe3748e84, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfbb2a83e, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc1c7d896, "device_property_read_u32_array" },
	{ 0x510d8182, "rtnl_link_unregister" },
	{ 0x4036da25, "sk_skb_reason_drop" },
	{ 0xf00a075f, "nla_put" },
	{ 0x85e0987d, "register_netdev" },
	{ 0x60619417, "free_netdev" },
	{ 0xef29b3a6, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb3906461, "netif_rx" },
	{ 0x67b58af1, "__netdev_alloc_skb" },
	{ 0xd5d1b88a, "skb_trim" },
	{ 0xb4f1495a, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc66eb12c, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xaae7ca4b, "skb_clone" },
	{ 0x4afe63a6, "netif_carrier_on" },
	{ 0x4fc9a1b0, "dev_err_probe" },
	{ 0x68a8cedf, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x6ed90190, "skb_clone_tx_timestamp" },
	{ 0x45477c81, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C85A0E37287CD8A1D19CA13");
MODULE_INFO(rhelversion, "9.6");
