#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x49b94f8d, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xdc02e8c8, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xb31b4f73, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x294c4ad3, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x2e450852, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f5d9e9f, "__do_once_done" },
	{ 0xfd68f947, "ip6_route_input_lookup" },
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x8c645795, "dev_pre_changeaddr_notify" },
	{ 0xd33428d6, "dev_mc_sync" },
	{ 0x8004ba65, "ida_destroy" },
	{ 0x38a0d4fc, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8c771a53, "netdev_update_features" },
	{ 0xb433400e, "consume_skb" },
	{ 0xb71a7ad0, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0xd5b851b6, "dev_uc_sync" },
	{ 0x8332974a, "rtnl_link_register" },
	{ 0x2a64d1ac, "netif_inherit_tso_max" },
	{ 0x2ac26028, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x96ab184a, "ip_route_output_flow" },
	{ 0xf5608d00, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3df7b70e, "dev_uc_unsync" },
	{ 0xf5095737, "ether_setup" },
	{ 0xe3748e84, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa0692213, "netdev_upper_dev_link" },
	{ 0xdbd3df12, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x438b09fc, "netdev_rx_handler_unregister" },
	{ 0x9748b019, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb32289e0, "eth_header_cache_update" },
	{ 0x2d6988f6, "nf_register_net_hooks" },
	{ 0xf20700cc, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x38e33e5c, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x44dd9031, "__dev_get_by_index" },
	{ 0x510d8182, "rtnl_link_unregister" },
	{ 0x2bdacc16, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4036da25, "sk_skb_reason_drop" },
	{ 0xd99f237a, "netif_stacked_transfer_operstate" },
	{ 0xcfc337db, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x52690ea, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa2c9ccdc, "ns_capable" },
	{ 0xd3dd999f, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8845a80, "ethtool_op_get_link" },
	{ 0xe587541b, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x708957b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x33e2ba49, "__pskb_pull_tail" },
	{ 0xb3906461, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x649d1b88, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x735b316b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x12238c6d, "vlan_vid_add" },
	{ 0x60b363ed, "call_netdevice_notifiers" },
	{ 0xac82fafb, "vlan_vid_del" },
	{ 0x14072607, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xaae7ca4b, "skb_clone" },
	{ 0xa92d614e, "dst_release" },
	{ 0x104fa3c4, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x789fef10, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x71d313bd, "dev_mc_unsync" },
	{ 0x924a1f58, "dev_change_flags" },
	{ 0x84d24543, "netdev_core_stats_inc" },
	{ 0x24c900fd, "dev_forward_skb" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbcb402e2, "register_netdevice" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "DE37DC5C8DABDDDB3FEB4A1");
MODULE_INFO(rhelversion, "9.6");
