#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x32dc39ac, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x64051ffe, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x1e67e93b, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x6b165dab, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xa41db930, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xd997d43c, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x7957641e, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x98b1e1ec, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xc62cecff, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x2eaf516a, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x213718de, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x0c224282, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xda40c619, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xe2d4af5b, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x09f75da5, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x7e96c93b, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x6be0aaaa, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0xf6d6b065, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xee3b915e, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x56e22111, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x2147a800, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf8944f08, "mdiobus_write" },
	{ 0xa20c9a58, "mdiobus_read" },
	{ 0x5684f198, "phy_write_mmd" },
	{ 0x6a6ad92f, "phy_modify" },
	{ 0x26944b05, "phy_trigger_machine" },
	{ 0xf8ae7a38, "phy_error" },
	{ 0x30e8cf82, "phy_modify_changed" },
	{ 0x3d05c76b, "genphy_update_link" },
	{ 0xbd3f9a4f, "genphy_read_lpa" },
	{ 0x7e252d5a, "phy_resolve_aneg_pause" },
	{ 0x9a9a3c0b, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x77bb4606, "_dev_err" },
	{ 0xcc1ea4e4, "phy_read_mmd" },
	{ 0x9d387275, "ethnl_cable_test_result_with_src" },
	{ 0x2d979aea, "ethnl_cable_test_fault_length_with_src" },
	{ 0x553290d4, "phy_modify_mmd" },
	{ 0xe42eb1cd, "genphy_soft_reset" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.6");
