#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(set_required_buffer_size, "_gpl", "");
KSYMTAB_FUNC(wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmidev_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmi_query_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_query, "_gpl", "");
KSYMTAB_FUNC(wmi_set_block, "_gpl", "");
KSYMTAB_FUNC(wmi_install_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_remove_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_get_event_data, "_gpl", "");
KSYMTAB_FUNC(wmi_has_guid, "_gpl", "");
KSYMTAB_FUNC(wmi_get_acpi_device_uid, "_gpl", "");
KSYMTAB_FUNC(__wmi_driver_register, "", "");
KSYMTAB_FUNC(wmi_driver_unregister, "", "");

SYMBOL_CRC(set_required_buffer_size, 0x0f6f7900, "_gpl");
SYMBOL_CRC(wmi_evaluate_method, 0x6068bedf, "_gpl");
SYMBOL_CRC(wmidev_evaluate_method, 0xd133bbc3, "_gpl");
SYMBOL_CRC(wmi_query_block, 0xaba842fe, "_gpl");
SYMBOL_CRC(wmidev_block_query, 0x91616b5d, "_gpl");
SYMBOL_CRC(wmi_set_block, 0xd7752b86, "_gpl");
SYMBOL_CRC(wmi_install_notify_handler, 0xf18bdd75, "_gpl");
SYMBOL_CRC(wmi_remove_notify_handler, 0x76ae31fd, "_gpl");
SYMBOL_CRC(wmi_get_event_data, 0x17b0f8ca, "_gpl");
SYMBOL_CRC(wmi_has_guid, 0xc9d4d6d1, "_gpl");
SYMBOL_CRC(wmi_get_acpi_device_uid, 0x065b4695, "_gpl");
SYMBOL_CRC(__wmi_driver_register, 0xd9670d8a, "");
SYMBOL_CRC(wmi_driver_unregister, 0x7c7b6bbf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc078f813, "driver_register" },
	{ 0x2a119ad8, "nonseekable_open" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2f1d30e9, "driver_unregister" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x5853cfda, "class_register" },
	{ 0xc25255c3, "bus_register" },
	{ 0x7b644918, "__platform_driver_register" },
	{ 0x1b19ced0, "bus_unregister" },
	{ 0xc509f4c6, "class_unregister" },
	{ 0xc708f1fe, "ec_write" },
	{ 0xfc4152fc, "ec_read" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0xc387d924, "_dev_warn" },
	{ 0x2fd18f56, "platform_driver_unregister" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2292887e, "try_module_get" },
	{ 0xf379dc97, "module_put" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xd18eed39, "__dynamic_dev_dbg" },
	{ 0x77bb4606, "_dev_err" },
	{ 0xe8c6e62d, "is_acpi_device_node" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x92e26bf, "acpi_remove_address_space_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x9b3864e8, "device_unregister" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x72f14ff7, "acpi_get_object_info" },
	{ 0x224100b5, "dev_set_name" },
	{ 0xad2b8a57, "device_initialize" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0xe20e55f2, "misc_deregister" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb8192e7d, "device_add" },
	{ 0x29e65568, "put_device" },
	{ 0xdbcf041a, "acpi_install_address_space_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xc1035b67, "device_create" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7d14798f, "misc_register" },
	{ 0xa04bfc78, "compat_ptr_ioctl" },
	{ 0xb8b78e18, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xa916b694, "strnlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x92997ed8, "_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C14:*");
MODULE_ALIAS("acpi*:pnp0c14:*");

MODULE_INFO(srcversion, "0F6B17A40E06235C4432461");
MODULE_INFO(rhelversion, "9.6");
