#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ptp_clock_register, "", "");
KSYMTAB_FUNC(ptp_clock_unregister, "", "");
KSYMTAB_FUNC(ptp_clock_event, "", "");
KSYMTAB_FUNC(ptp_clock_index, "", "");
KSYMTAB_FUNC(ptp_find_pin, "", "");
KSYMTAB_FUNC(ptp_find_pin_unlocked, "", "");
KSYMTAB_FUNC(ptp_schedule_worker, "", "");
KSYMTAB_FUNC(ptp_cancel_worker_sync, "", "");

SYMBOL_CRC(ptp_clock_register, 0x07099520, "");
SYMBOL_CRC(ptp_clock_unregister, 0x98d05eda, "");
SYMBOL_CRC(ptp_clock_event, 0xc96fc667, "");
SYMBOL_CRC(ptp_clock_index, 0xa91776c0, "");
SYMBOL_CRC(ptp_find_pin, 0x5048ceec, "");
SYMBOL_CRC(ptp_find_pin_unlocked, 0xa159e131, "");
SYMBOL_CRC(ptp_schedule_worker, 0x2fcd5da6, "");
SYMBOL_CRC(ptp_cancel_worker_sync, 0x4361aeb4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x314c7c23, "kthread_create_worker" },
	{ 0x8004ba65, "ida_destroy" },
	{ 0x33ba259e, "kthread_cancel_delayed_work_sync" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x224100b5, "dev_set_name" },
	{ 0x2903010c, "kthread_delayed_work_timer_fn" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x4e053871, "pps_register_source" },
	{ 0x5894250f, "finish_wait" },
	{ 0x3380c05e, "class_destroy" },
	{ 0xad2b8a57, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc08906b, "device_for_each_child" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0xe0d47983, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29e65568, "put_device" },
	{ 0x1f005584, "device_for_each_child_reverse" },
	{ 0xfab80cb1, "_dev_info" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6e0c21b5, "kthread_mod_delayed_work" },
	{ 0x77bb4606, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x839debe7, "class_create" },
	{ 0x54d6ef78, "pps_event" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x52690ea, "ida_free" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x26c842f4, "mutex_lock_interruptible" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0x8e0950a1, "pps_unregister_source" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa20accf7, "kthread_destroy_worker" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xcf2ba514, "posix_clock_register" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x1276b211, "kthread_queue_delayed_work" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0xe3616a2a, "posix_clock_unregister" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0x862258db, "timecounter_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "pps_core");


MODULE_INFO(srcversion, "FC8EB417587A522235EF06A");
MODULE_INFO(rhelversion, "9.6");
