#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca26d4e1, "usb_kill_urb" },
	{ 0xf124b840, "usb_deregister" },
	{ 0xc078178c, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x3ad73e9d, "usb_stor_adjust_quirks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc387d924, "_dev_warn" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x8327e9a3, "usb_anchor_urb" },
	{ 0xb938e1c1, "usb_submit_urb" },
	{ 0x9bab62c2, "usb_unanchor_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xef410ae2, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6572ec0a, "usb_kill_anchored_urbs" },
	{ 0x35c547b0, "scsi_remove_host" },
	{ 0x7d79b815, "scsi_host_put" },
	{ 0x89cfd616, "usb_lock_device_for_reset" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0x9f80dea9, "scsi_host_alloc" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x751e1457, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc796e23f, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xafafa50, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3d3f7975, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x2877cd2d, "usb_set_interface" },
	{ 0x8d2f19a9, "usb_reset_device" },
	{ 0x50345342, "usb_alloc_streams" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x5ee40e36, "scsi_report_bus_reset" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0x384b1e23, "scsi_unblock_requests" },
	{ 0x481384cd, "dev_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9156c561, "usb_wait_anchor_empty_timeout" },
	{ 0x4d5f602d, "scsi_block_requests" },
	{ 0x4b883660, "scmd_printk" },
	{ 0x7bb619cf, "scsi_print_command" },
	{ 0x5c01e6ce, "usb_free_urb" },
	{ 0x789b7d94, "scsi_scan_host" },
	{ 0xd18eed39, "__dynamic_dev_dbg" },
	{ 0x77bb4606, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0x311d5ebe, "sdev_prefix_printk" },
	{ 0x51baa91e, "scsi_change_queue_depth" },
	{ 0x87bdac29, "scsi_is_host_device" },
	{ 0xe6b931a3, "usb_get_urb" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "0DBE211FD75AFA475093DBC");
MODULE_INFO(rhelversion, "9.6");
