#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0x1e9628b3, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xd6021519, "");
SYMBOL_CRC(fscache_acquire_cache, 0xdb0ab235, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xddca79f3, "");
SYMBOL_CRC(fscache_add_cache, 0xb4bb8ac2, "");
SYMBOL_CRC(fscache_io_error, 0x6a7a5fc7, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x14c792be, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x4232aff3, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xebfc33cd, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0xa24b2c25, "");
SYMBOL_CRC(fscache_caching_failed, 0x3917ed84, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x53df9a09, "");
SYMBOL_CRC(__fscache_use_cookie, 0x071890f4, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xcf218b64, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x530f831b, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xaa08ca51, "");
SYMBOL_CRC(fscache_put_cookie, 0xfd62a78c, "");
SYMBOL_CRC(fscache_get_cookie, 0x2983e6c6, "");
SYMBOL_CRC(__fscache_invalidate, 0x2d531af6, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xa79ed546, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x5479e37d, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x3beb6abc, "");
SYMBOL_CRC(fscache_dirty_folio, 0x4dc1bed8, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0xa3fc8c41, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x456db26d, "");
SYMBOL_CRC(__fscache_resize_cookie, 0xe5d0ea74, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0xc900a69a, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0xc7f79899, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x55ad95cb, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0xccaa334f, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x490194ef, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x21e0113d, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0xb0da744d, "");
SYMBOL_CRC(fscache_end_volume_access, 0xeeb7e056, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x55f1ee57, "");
SYMBOL_CRC(fscache_put_volume, 0x907f0e34, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xa1033894, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x05daea42, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x78119835, "bpf_trace_run4" },
	{ 0xccc56838, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8947ad0c, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x5894250f, "finish_wait" },
	{ 0xd46f8f31, "trace_event_printf" },
	{ 0x312ba4e0, "xas_find" },
	{ 0x2f4711db, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0xc16f8d4a, "netfs_stats_show" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x24899d5f, "bpf_trace_run2" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x1fdf304d, "remove_proc_subtree" },
	{ 0xee2bfc53, "event_triggers_call" },
	{ 0x91651f4, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf46782bb, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa74a062d, "trace_event_ignore_this_pid" },
	{ 0x6ab7860b, "rt_write_unlock" },
	{ 0x8f1a1edd, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xc19b5513, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4cf99a17, "perf_trace_run_bpf_submit" },
	{ 0x640c6fc7, "down_write" },
	{ 0x3d6b844e, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf3b78b19, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8ebfb8b6, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xbb39ce87, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x42bb15e5, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x325128a6, "proc_mkdir" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x796c4d3f, "folio_end_private_2" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x85eb0e59, "down_read" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7f3bd671, "bpf_trace_run3" },
	{ 0x7a50793e, "rt_read_lock" },
	{ 0xeb3c444e, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe5b68086, "rt_read_unlock" },
	{ 0x39fb80ab, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54cbb612, "seq_printf" },
	{ 0x898a6527, "rt_write_lock" },
	{ 0x3861ba9a, "filemap_dirty_folio" },
	{ 0x5088c9ac, "seq_puts" },
	{ 0x8ae8c9c0, "iov_iter_xarray" },
	{ 0xb074e43d, "proc_create_single_data" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x67b95e96, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x513d9025, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x1774ae63, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "F1A7D48A931551A9DD3AC79");
MODULE_INFO(rhelversion, "9.6");
