#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x69cc22a0, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xb57e96b2, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x525d97e6, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x70c5a888, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xc361c8bc, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x8551183a, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x1ba4e261, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xc54b0a12, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x32687c29, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xf260366b, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x7e02b821, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x018ad6a9, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x8a4d38f3, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xb164cde1, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x7a408346, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xcf747355, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xc29e36c5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x0226ae5b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x2433f4b3, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x16844cd9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0xc3468b69, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x087de853, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x85d4f9d4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x721f64ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xfcf70404, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x6ec416ad, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x7ccb4fd8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x386c16a6, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x34596685, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0xb789b412, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x0f7e5faf, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xcb8ff9f1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x8f0a2f8d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xe2051ffa, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x7f3cdf61, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7763c6bc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xeb397b1f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xe6ff60a0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x7413f963, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x600fb9ed, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xf412e835, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0xefea1b59, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xc45faa40, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x9de57716, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x08dc3877, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x53ba62c5, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xa9e7b879, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0xe0a67a67, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x9a85e0f8, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x78376f23, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0xa2ee3e24, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0xb9130ce9, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xd336e5a8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x364ef9c8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0xb21f67ad, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x0ab90417, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x37c4fa58, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg, 0xf0a5b199, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x3d80e8f2, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0xef96a812, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x86ed4ebf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg_err, 0x87ed16c4, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0xe337a238, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x16aff583, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x0442dde2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg, 0xa37b1177, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x614b6207, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0xbcf1994e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x1b29eeff, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg_err, 0xe1bc35e8, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0x3fef8e38, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0xfd694f5b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0xba3413cd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_fl_getdevinfo, 0x6f27cded, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x7e09ac44, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0xb452c30d, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x90d75063, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xf952b7d2, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xebf44290, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x09c11df3, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x17d6b6ae, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x7b5ab880, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xd46e516c, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x8527c8ca, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x85aa3889, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x3f263b2d, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x5394662a, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x618462de, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x9d7cfc76, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x173cda11, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x2d2479dc, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xdbd0873f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xec1ba27f, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x1e4f058c, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x0f1f0bab, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x3d8a6364, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xcb2df955, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x9f001c10, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xc083aff3, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x0d9c0c1d, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x3645e17c, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x28b96cff, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xb0943e60, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x49a8f959, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x1551a142, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x0a295af0, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x0da0d6e0, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x33df4ce0, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xb98ff039, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x3eb2966c, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xc50ce79d, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x2e1aab1f, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x7294328c, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x961de43e, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x16fa527d, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x7b592e87, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x12f7731b, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xa531b28b, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x1d7cbe14, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x76ca4897, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x6e5f78d8, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x37cd8c13, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x3674c864, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf8540d9, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x69728edd, "generic_copy_file_range" },
	{ 0xd184ad29, "svc_generic_rpcbind_set" },
	{ 0xfc3e3b5, "nfs_clone_server" },
	{ 0x85b8ccea, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xecd63ad2, "filemap_fdatawrite" },
	{ 0x87ebf87c, "nfs_show_stats" },
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0x6cf09b67, "nfs_server_remove_lists" },
	{ 0x6e0783bb, "nfs42_ssc_unregister" },
	{ 0x92b88a2d, "generic_listxattr" },
	{ 0x2292887e, "try_module_get" },
	{ 0xaf20e1b7, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x672e7a2f, "nfs_writeback_update_inode" },
	{ 0x121aae05, "clear_inode" },
	{ 0xdffd0567, "inode_to_bdi" },
	{ 0x78119835, "bpf_trace_run4" },
	{ 0x1269f127, "user_destroy" },
	{ 0x5818b6a2, "idr_find" },
	{ 0xccc56838, "param_ops_uint" },
	{ 0x2f23c437, "user_revoke" },
	{ 0x7f4290e5, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2deb84c9, "nfs_alloc_client" },
	{ 0xb43837ce, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xf49bd055, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2352909, "rpc_clnt_probe_trunked_xprts" },
	{ 0xc2319267, "nfs_pageio_reset_read_mds" },
	{ 0xd5c4fc87, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7a4701bd, "rpc_shutdown_client" },
	{ 0x80499ad9, "svc_bind" },
	{ 0xb38ef350, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xdf2354bb, "nfs_free_inode" },
	{ 0xe0bc9435, "nfs_access_zap_cache" },
	{ 0xff764652, "nfs_sb_deactive" },
	{ 0x8d4277fd, "nfs_wb_all" },
	{ 0x52a6a7ee, "generic_file_splice_read" },
	{ 0x53666e83, "__break_lease" },
	{ 0x9065a01d, "nfs_pageio_init_write" },
	{ 0xa2b79405, "svc_recv" },
	{ 0x6d9a4299, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x409968d5, "xdr_inline_decode" },
	{ 0x4fa8e903, "nfs_pageio_init_read" },
	{ 0x8947ad0c, "trace_raw_output_prep" },
	{ 0xad204eea, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x211e33a7, "nfs_init_commit" },
	{ 0xc7c7f89e, "nfs_commitdata_release" },
	{ 0xa2faf65e, "bpf_trace_run6" },
	{ 0xa356d50c, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x994cb160, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x2014fe78, "nfs_mknod" },
	{ 0x1dd3fe0c, "nfs_inode_attach_open_context" },
	{ 0x5894250f, "finish_wait" },
	{ 0x43f72a78, "nfs4_label_alloc" },
	{ 0x67d77c6d, "rpc_localaddr" },
	{ 0x56ba5fc4, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xd46f8f31, "trace_event_printf" },
	{ 0xdeb51e65, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x492a3dc8, "idr_replace" },
	{ 0xfe0446e, "nfs_lock" },
	{ 0x88c6b829, "unregister_key_type" },
	{ 0xdd8bf016, "nfs_client_init_is_complete" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x52735d03, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xcac29415, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2f4711db, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x68f11b75, "ihold" },
	{ 0x38bbb11, "truncate_pagecache_range" },
	{ 0x2313a51a, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x583fe13d, "invalidate_inode_pages2_range" },
	{ 0x9e7777b5, "nfs_post_op_update_inode" },
	{ 0xab31caa3, "svc_exit_thread" },
	{ 0x7d930555, "iput" },
	{ 0xe8518711, "xdr_set_pagelen" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x49b8f906, "nfs_pgio_header_free" },
	{ 0xef66c54f, "nfs_request_add_commit_list_locked" },
	{ 0x99467693, "add_wait_queue" },
	{ 0x69ef7118, "logfc" },
	{ 0x15e84f5c, "nfs_pgio_header_alloc" },
	{ 0xc7fff0aa, "__put_devmap_managed_page_refs" },
	{ 0xe7288ab9, "iter_file_splice_write" },
	{ 0xc1e15d30, "rpc_pton" },
	{ 0x82b631dc, "nfs_sb_active" },
	{ 0x64e1907, "mod_node_page_state" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x64d94806, "rpc_wake_up_queued_task" },
	{ 0x24899d5f, "bpf_trace_run2" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xf97100ac, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x588f025b, "rpc_restart_call_prepare" },
	{ 0xee2bfc53, "event_triggers_call" },
	{ 0xe0d47983, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xea0c5e4d, "_copy_from_pages" },
	{ 0x34cae653, "__module_get" },
	{ 0x91651f4, "kmem_cache_create" },
	{ 0xb83fdea4, "rpc_task_release_transport" },
	{ 0x609e5af3, "xdr_page_pos" },
	{ 0xbd80f076, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x1d63eab8, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd35d4f8c, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x44f47c0, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x70d69ee6, "register_key_type" },
	{ 0xc663d123, "rpc_sleep_on" },
	{ 0xb3b2838a, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7ad08450, "nfs_pageio_resend" },
	{ 0xcedee72e, "keyring_alloc" },
	{ 0xa83903f0, "vfs_setpos" },
	{ 0x56830a2b, "nfs_create" },
	{ 0x3113b48b, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2b18570e, "__put_cred" },
	{ 0x5433bf3, "nfs_update_delegated_mtime" },
	{ 0x635b2523, "nfs_statfs" },
	{ 0x5d85536, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xc71ecfaf, "rpc_max_bc_payload" },
	{ 0xf46782bb, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x1aaefc0e, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd680c50a, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xf8e419a7, "nfs_mkdir" },
	{ 0x404ba69e, "nfs_revalidate_inode" },
	{ 0x612f5e3a, "inode_newsize_ok" },
	{ 0xf0f4c815, "nfs_file_mmap" },
	{ 0x308c539e, "nfs_get_lock_context" },
	{ 0x2ddd0919, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xab7a1657, "nfs_set_cache_invalid" },
	{ 0x937c1ab3, "rpc_release_client" },
	{ 0xa0e24c36, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x22b13bef, "rt_spin_trylock" },
	{ 0xfa24b3bb, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x190c8431, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcbe120d7, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa74a062d, "trace_event_ignore_this_pid" },
	{ 0x2c2d7053, "nfs_generic_pgio" },
	{ 0xd6e51cd5, "make_kuid" },
	{ 0x52ad8563, "truncate_inode_pages_final" },
	{ 0x47330f65, "generic_setlease" },
	{ 0xda560607, "xprt_destroy_backchannel" },
	{ 0x6f4c364a, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xa03dff7b, "nfs_scan_commit_list" },
	{ 0x4f709392, "xdr_stream_decode_string_dup" },
	{ 0x8e2254ea, "nfs_commit_inode" },
	{ 0xa18efec2, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0xcbc6838d, "rpc_destroy_pipe_data" },
	{ 0x6af3954c, "nfs_get_client" },
	{ 0x6e21afb0, "__free_pages" },
	{ 0x8f1a1edd, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x46eb3290, "nfs_atomic_open" },
	{ 0xd23aaf6b, "rpc_pipe_generic_upcall" },
	{ 0xf4a39748, "nfs_file_fsync" },
	{ 0xf379dc97, "module_put" },
	{ 0xc19b5513, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6734280f, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x79a9405d, "nfs_put_lock_context" },
	{ 0x1b716933, "nfs_rename" },
	{ 0x5e93f2c0, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xe29b86fb, "nfs_sysfs_link_rpc_client" },
	{ 0xddace696, "nfs_put_client" },
	{ 0xfecddf14, "nfs_show_options" },
	{ 0x377fd350, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x6c34bbf7, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x18388927, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd168dfe9, "get_nfs_open_context" },
	{ 0x4cf99a17, "perf_trace_run_bpf_submit" },
	{ 0xedec7a7e, "nfs_clear_verifier_delegated" },
	{ 0xb04d7de0, "nfs_sysfs_add_server" },
	{ 0xa4aa377, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x640c6fc7, "down_write" },
	{ 0xdb5d56cc, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x636688ea, "nfs_do_submount" },
	{ 0xab61501d, "vfs_dup_fs_context" },
	{ 0x3d6b844e, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x2a5628bf, "request_key_with_auxdata" },
	{ 0x707bdd40, "rpc_clone_client_set_auth" },
	{ 0x96fb2681, "rpc_clone_client" },
	{ 0xbe7b401d, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x457e8617, "nfs_client_init_status" },
	{ 0xcb62f037, "idr_alloc" },
	{ 0x4fd2c981, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x20298264, "radix_tree_preloads" },
	{ 0x95ff110f, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x60387735, "put_fs_context" },
	{ 0x67043209, "nfs_retry_commit" },
	{ 0xef3299d, "nfs4_dentry_operations" },
	{ 0xa779638a, "__module_put_and_kthread_exit" },
	{ 0xd1445122, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xae77727, "nfs_client_for_each_server" },
	{ 0x8ef1af34, "nfs_clear_inode" },
	{ 0x4a8a861b, "rpc_sleep_on_priority" },
	{ 0x5bd8d83, "nfs_invalidate_atime" },
	{ 0xf3b78b19, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x74a6a39, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x2d539d71, "nfs_getattr" },
	{ 0xec734f47, "mutex_lock" },
	{ 0xcbb7020c, "nfs_pageio_reset_write_mds" },
	{ 0x8ebfb8b6, "kmem_cache_free" },
	{ 0xe50767bd, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0xf51e9aff, "xdr_stream_subsegment" },
	{ 0x2bf15a46, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xf0a2611, "nfs_fscache_open_file" },
	{ 0x2062bedb, "from_kgid" },
	{ 0xbb39ce87, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe58d6e3b, "nfs_write_inode" },
	{ 0x3e4a02bc, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x52690ea, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x9fab4200, "rpc_wake_up_first" },
	{ 0x481f1b9b, "alloc_nfs_open_context" },
	{ 0xf0128cc3, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x5247d248, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x8419dafb, "nfs_path" },
	{ 0x143c76df, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x216d5b66, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1c98e318, "register_nfs_version" },
	{ 0x81ed10f3, "rpc_sleep_on_timeout" },
	{ 0x463d7097, "list_lru_count_one" },
	{ 0xb042802b, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x95c5d5b2, "rpc_call_start" },
	{ 0x3a58972c, "xprt_setup_backchannel" },
	{ 0x42bb15e5, "bpf_trace_run1" },
	{ 0xc2b9dce1, "svc_create" },
	{ 0xa12e513b, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xc2e7c224, "nfs_file_set_open_context" },
	{ 0x564a1a71, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x5b7c8b41, "rpc_call_sync" },
	{ 0x3a26715e, "from_kuid" },
	{ 0x908b1c09, "rpc_put_task_async" },
	{ 0x4feb258e, "rpc_prepare_reply_pages" },
	{ 0x6bd24855, "rpc_queue_upcall" },
	{ 0xe6099cc7, "nfs_free_server" },
	{ 0x4fc37073, "fc_mount" },
	{ 0x5b55804, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0xc2e39219, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x85744a3c, "nfs4_fs_type" },
	{ 0x9645340a, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x88dc8e85, "rpc_delay" },
	{ 0x1c6b6f3c, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb2d8aa90, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0xaf4e92d0, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xc3bec846, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x124aa4de, "rpc_exit" },
	{ 0x201dbc74, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xc8b89a98, "rpc_remove_pipe_dir_object" },
	{ 0xd106ba7b, "nfs_may_open" },
	{ 0x6779e6a1, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x6fd5ab85, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x85eb0e59, "down_read" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x91cfe793, "xdr_reserve_space" },
	{ 0x429fb9a, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa48d945b, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6eee5ee4, "nfs_rmdir" },
	{ 0x7f3bd671, "bpf_trace_run3" },
	{ 0x859e232f, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1e5a432d, "nfs_filemap_write_and_wait_range" },
	{ 0xba72b73f, "rpc_mkpipe_dentry" },
	{ 0x2374da1f, "alloc_file_pseudo" },
	{ 0xeb63bc75, "rpc_mkpipe_data" },
	{ 0xdd3d6c7d, "rpc_add_pipe_dir_object" },
	{ 0x834d2264, "igrab" },
	{ 0xdd95a9f5, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb48a6ab3, "nfs_async_iocounter_wait" },
	{ 0x87253148, "nfs_file_read" },
	{ 0xeb3c444e, "trace_event_buffer_reserve" },
	{ 0xe89a9d45, "nfs_alloc_fattr_with_label" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xe0580834, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x5f477edd, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7772fd87, "nfs_setattr_update_inode" },
	{ 0xdd6eceea, "nfs_instantiate" },
	{ 0xd7bf643, "init_user_ns" },
	{ 0x846f21c1, "rpc_uaddr2sockaddr" },
	{ 0x5d925ee6, "user_read" },
	{ 0x2f73455d, "rpc_restart_call" },
	{ 0xe7335ab6, "request_key_tag" },
	{ 0xb6ea9090, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x9206fc87, "alloc_pages" },
	{ 0xe2dbc203, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x685790fe, "svc_xprt_destroy_all" },
	{ 0x3772f885, "generic_key_instantiate" },
	{ 0x84260b72, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xc146a995, "nfs_link" },
	{ 0x1f1d22d, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7d41433f, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x3a3f7fb5, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ecee006, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xf76679dd, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xcf464bc6, "xdr_stream_move_subsegment" },
	{ 0xc4bd08bf, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x8ee19a6a, "nfs_post_op_update_inode_force_wcc" },
	{ 0x44323b6a, "nfs_pgheader_init" },
	{ 0x3c9b4407, "put_nfs_open_context" },
	{ 0xcbeb3592, "nfs_show_path" },
	{ 0x98817559, "nfs_show_devname" },
	{ 0x3aee5e85, "nfs_permission" },
	{ 0x77330574, "nfs_initiate_commit" },
	{ 0xbf2ed238, "truncate_inode_pages_range" },
	{ 0xd96f0e5c, "__put_user_ns" },
	{ 0x83d04bc2, "cred_fscmp" },
	{ 0x466b7621, "rpc_unlink" },
	{ 0xa1d6bba1, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xcc618285, "proc_dointvec" },
	{ 0x21995910, "remove_wait_queue" },
	{ 0xf0119bed, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x26f82432, "node_data" },
	{ 0xe398ff0e, "nfs_probe_server" },
	{ 0xdbdd768, "nfs_setsecurity" },
	{ 0xcbec439a, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xe29b47ec, "rpc_clnt_test_and_add_xprt" },
	{ 0xcfb7157b, "file_ra_state_init" },
	{ 0x326b6fee, "nfs_force_lookup_revalidate" },
	{ 0xa354334c, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe76fb51f, "rpc_clnt_add_xprt" },
	{ 0xe72bc2af, "dget_parent" },
	{ 0xeb724f4, "from_kuid_munged" },
	{ 0xa8b65c04, "prepare_kernel_cred" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x66fd23ba, "nfs_alloc_server" },
	{ 0x5aab54d3, "rpc_call_async" },
	{ 0xaab61531, "security_dentry_init_security" },
	{ 0xf8269a61, "filemap_write_and_wait_range" },
	{ 0xdeedc07f, "list_lru_del_obj" },
	{ 0xeda845a, "nfs_server_insert_lists" },
	{ 0x247fcf10, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x451bfcdb, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb6f4bdd6, "rpc_init_pipe_dir_object" },
	{ 0xd48fbbd2, "bpf_trace_run7" },
	{ 0x660e7e8c, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xa02f160d, "nfs_init_server_rpcclient" },
	{ 0x50d676bd, "__mark_inode_dirty" },
	{ 0xfb80a369, "rpc_set_connect_timeout" },
	{ 0x842552b8, "rpcauth_create" },
	{ 0xbc70f5c7, "xdr_stream_pos" },
	{ 0xe0f455e2, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x513d9025, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0xe23c8bf9, "svc_xprt_create" },
	{ 0xca591234, "nfs42_ssc_register" },
	{ 0x7b5c8363, "rpc_wait_for_completion_task" },
	{ 0xfe32a7b7, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x8cdc40b7, "rpc_num_bc_slots" },
	{ 0x32c9ab73, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x247a5e28, "rpc_destroy_wait_queue" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x694cc26e, "security_inode_listsecurity" },
	{ 0x217a772f, "nfs_fhget" },
	{ 0xb7969f27, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdf34e2bd, "locks_copy_lock" },
	{ 0x1774ae63, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x5891eea1, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7651f9d7, "nfs_set_verifier" },
	{ 0x7d6e70c8, "proc_dointvec_minmax" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "112E964764B3DF7C07280CA");
MODULE_INFO(rhelversion, "9.6");
