#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee80211_emulate_add_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_remove_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_change_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_switch_vif_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_restart_hw, "", "");
KSYMTAB_FUNC(ieee80211_alloc_hw_nm, "", "");
KSYMTAB_FUNC(ieee80211_register_hw, "", "");
KSYMTAB_FUNC(ieee80211_unregister_hw, "", "");
KSYMTAB_FUNC(ieee80211_free_hw, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_ext, "", "");
KSYMTAB_FUNC(ieee80211_tx_rate_update, "", "");
KSYMTAB_FUNC(ieee80211_report_low_ack, "", "");
KSYMTAB_FUNC(ieee80211_free_txskb, "", "");
KSYMTAB_FUNC(ieee80211_purge_tx_queue, "", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_link_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_ifaddr, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta, "", "");
KSYMTAB_FUNC(ieee80211_sta_block_awake, "", "");
KSYMTAB_FUNC(ieee80211_sta_eosp, "", "");
KSYMTAB_FUNC(ieee80211_send_eosp_nullfunc, "", "");
KSYMTAB_FUNC(ieee80211_sta_set_buffered, "", "");
KSYMTAB_FUNC(ieee80211_sta_register_airtime, "", "");
KSYMTAB_FUNC(ieee80211_sta_recalc_aggregates, "", "");
KSYMTAB_FUNC(ieee80211_scan_completed, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_results, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(ieee80211_ready_on_channel, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remain_on_channel_expired, "_gpl", "");
KSYMTAB_FUNC(ieee80211_request_smps, "_gpl", "");
KSYMTAB_FUNC(ieee80211_send_bar, "", "");
KSYMTAB_FUNC(ieee80211_refresh_tx_agg_session_timer, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_rx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_manage_rx_ba_offl, "", "");
KSYMTAB_FUNC(ieee80211_rx_ba_timer_expired, "", "");
KSYMTAB_FUNC(ieee80211_update_mu_groups, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links_async, "_gpl", "");
KSYMTAB_FUNC(ieee80211_rate_control_register, "", "");
KSYMTAB_FUNC(ieee80211_rate_control_unregister, "", "");
KSYMTAB_FUNC(ieee80211_get_tx_rates, "", "");
KSYMTAB_FUNC(rate_control_set_rates, "", "");
KSYMTAB_FUNC(ieee80211_tkip_add_iv, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p1k_iv, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_rx_p1k, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p2k, "", "");
KSYMTAB_FUNC(ieee80211_csa_finish, "", "");
KSYMTAB_FUNC(ieee80211_channel_switch_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_match, "", "");
KSYMTAB_FUNC(ieee80211_color_change_finish, "_gpl", "");
KSYMTAB_FUNC(ieee80211_obss_color_collision_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_sta_ps_transition, "", "");
KSYMTAB_FUNC(ieee80211_sta_pspoll, "", "");
KSYMTAB_FUNC(ieee80211_sta_uapsd_trigger, "", "");
KSYMTAB_FUNC(ieee80211_drop_unencrypted_mgmt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_mark_rx_ba_filtered_frames, "", "");
KSYMTAB_FUNC(ieee80211_rx_list, "", "");
KSYMTAB_FUNC(ieee80211_rx_napi, "", "");
KSYMTAB_FUNC(ieee80211_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_prepare_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_dequeue, "", "");
KSYMTAB_FUNC(ieee80211_next_txq, "", "");
KSYMTAB_FUNC(__ieee80211_schedule_txq, "", "");
KSYMTAB_FUNC(ieee80211_txq_airtime_check, "", "");
KSYMTAB_FUNC(ieee80211_txq_may_transmit, "", "");
KSYMTAB_FUNC(ieee80211_txq_schedule_start, "", "");
KSYMTAB_FUNC(ieee80211_beacon_update_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_set_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_cntdwn_is_complete, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_index, "", "");
KSYMTAB_FUNC(ieee80211_beacon_free_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_tim, "", "");
KSYMTAB_FUNC(ieee80211_proberesp_get, "", "");
KSYMTAB_FUNC(ieee80211_get_fils_discovery_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_get_unsol_bcast_probe_resp_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_pspoll_get, "", "");
KSYMTAB_FUNC(ieee80211_nullfunc_get, "", "");
KSYMTAB_FUNC(ieee80211_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_rts_get, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_get, "", "");
KSYMTAB_FUNC(ieee80211_get_buffered_bc, "", "");
KSYMTAB_FUNC(ieee80211_reserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_unreserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys_rcu, "", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_key_rx_seq, "", "");
KSYMTAB_FUNC(ieee80211_set_key_rx_seq, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remove_key, "_gpl", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_add, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_mic_failure, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_replay, "_gpl", "");
KSYMTAB_FUNC(wiphy_to_ieee80211_hw, "", "");
KSYMTAB_FUNC(ieee80211_get_bssid, "", "");
KSYMTAB_FUNC(ieee80211_generic_frame_duration, "", "");
KSYMTAB_FUNC(ieee80211_rts_duration, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_duration, "", "");
KSYMTAB_FUNC(ieee80211_handle_wake_tx_queue, "", "");
KSYMTAB_FUNC(ieee80211_wake_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queues, "", "");
KSYMTAB_FUNC(ieee80211_queue_stopped, "", "");
KSYMTAB_FUNC(ieee80211_wake_queues, "", "");
KSYMTAB_FUNC(ieee80211_iterate_interfaces, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_mtx, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_stations_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_stations_mtx, "_gpl", "");
KSYMTAB_FUNC(wdev_to_ieee80211_vif, "_gpl", "");
KSYMTAB_FUNC(ieee80211_vif_to_wdev, "_gpl", "");
KSYMTAB_FUNC(ieee80211_queue_work, "", "");
KSYMTAB_FUNC(ieee80211_queue_delayed_work, "", "");
KSYMTAB_FUNC(ieee80211_hw_restart_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_resume_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_ave_rssi, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radar_detected, "", "");
KSYMTAB_FUNC(ieee80211_update_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_parse_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_txq_get_depth, "", "");
KSYMTAB_FUNC(ieee802_11_parse_elems_full, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_iter_chan_contexts_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_calc_chandef_subchan_offset, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_rearrange_tpe_psd, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_chswitch_done, "", "");
KSYMTAB_FUNC(ieee80211_ap_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_beacon_loss, "", "");
KSYMTAB_FUNC(ieee80211_connection_loss, "", "");
KSYMTAB_FUNC(ieee80211_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_send_teardown_neg_ttlm, "", "");
KSYMTAB_FUNC(ieee80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(ieee80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(ieee80211_enable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_disable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(ieee80211_calc_rx_airtime, "_gpl", "");
KSYMTAB_FUNC(ieee80211_calc_tx_airtime, "_gpl", "");
KSYMTAB_FUNC(__ieee80211_get_radio_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_assoc_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_tx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_rx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_create_tpt_led_trigger, "", "");
KSYMTAB_FUNC(ieee80211_report_wowlan_wakeup, "", "");

SYMBOL_CRC(ieee80211_emulate_add_chanctx, 0x0c50affa, "");
SYMBOL_CRC(ieee80211_emulate_remove_chanctx, 0x78c38c21, "");
SYMBOL_CRC(ieee80211_emulate_change_chanctx, 0x2d2b8add, "");
SYMBOL_CRC(ieee80211_emulate_switch_vif_chanctx, 0xfe2639e0, "");
SYMBOL_CRC(ieee80211_restart_hw, 0x263bfbe4, "");
SYMBOL_CRC(ieee80211_alloc_hw_nm, 0x0a615fb5, "");
SYMBOL_CRC(ieee80211_register_hw, 0xa5c104bb, "");
SYMBOL_CRC(ieee80211_unregister_hw, 0xd77b73e2, "");
SYMBOL_CRC(ieee80211_free_hw, 0x5c78d2b6, "");
SYMBOL_CRC(ieee80211_tx_status_irqsafe, 0xd0771665, "");
SYMBOL_CRC(ieee80211_tx_status_skb, 0xde0c8478, "");
SYMBOL_CRC(ieee80211_tx_status_ext, 0x44abd889, "");
SYMBOL_CRC(ieee80211_tx_rate_update, 0xdebef85c, "");
SYMBOL_CRC(ieee80211_report_low_ack, 0x32219693, "");
SYMBOL_CRC(ieee80211_free_txskb, 0xafbbcee2, "");
SYMBOL_CRC(ieee80211_purge_tx_queue, 0x297b17bf, "");
SYMBOL_CRC(ieee80211_find_sta_by_link_addrs, 0x057fed08, "_gpl");
SYMBOL_CRC(ieee80211_find_sta_by_ifaddr, 0x2a26ba7e, "_gpl");
SYMBOL_CRC(ieee80211_find_sta, 0x69509299, "");
SYMBOL_CRC(ieee80211_sta_block_awake, 0xfdfc9b29, "");
SYMBOL_CRC(ieee80211_sta_eosp, 0x5b67576f, "");
SYMBOL_CRC(ieee80211_send_eosp_nullfunc, 0x649241d3, "");
SYMBOL_CRC(ieee80211_sta_set_buffered, 0x65580f4b, "");
SYMBOL_CRC(ieee80211_sta_register_airtime, 0x4ae8caa7, "");
SYMBOL_CRC(ieee80211_sta_recalc_aggregates, 0x4f33d1d5, "");
SYMBOL_CRC(ieee80211_scan_completed, 0x74a19fbc, "");
SYMBOL_CRC(ieee80211_sched_scan_results, 0x5b7bea6e, "");
SYMBOL_CRC(ieee80211_sched_scan_stopped, 0x1f5b7df8, "");
SYMBOL_CRC(ieee80211_ready_on_channel, 0x465a277a, "_gpl");
SYMBOL_CRC(ieee80211_remain_on_channel_expired, 0x2514c513, "_gpl");
SYMBOL_CRC(ieee80211_request_smps, 0xb536b184, "_gpl");
SYMBOL_CRC(ieee80211_send_bar, 0xf6060c12, "");
SYMBOL_CRC(ieee80211_refresh_tx_agg_session_timer, 0x3f1b72b4, "");
SYMBOL_CRC(ieee80211_start_tx_ba_session, 0xaf9e534c, "");
SYMBOL_CRC(ieee80211_start_tx_ba_cb_irqsafe, 0x61e6271d, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_session, 0xf18d82ec, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_cb_irqsafe, 0xaeb98a5e, "");
SYMBOL_CRC(ieee80211_stop_rx_ba_session, 0xe8560198, "");
SYMBOL_CRC(ieee80211_manage_rx_ba_offl, 0x4d5167d6, "");
SYMBOL_CRC(ieee80211_rx_ba_timer_expired, 0x24993680, "");
SYMBOL_CRC(ieee80211_update_mu_groups, 0x0a736fe6, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links, 0xa351ecf8, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links_async, 0x8cbc73ec, "_gpl");
SYMBOL_CRC(ieee80211_rate_control_register, 0xdb3a8dd1, "");
SYMBOL_CRC(ieee80211_rate_control_unregister, 0x43c14e7a, "");
SYMBOL_CRC(ieee80211_get_tx_rates, 0x45dcb1f3, "");
SYMBOL_CRC(rate_control_set_rates, 0x6469c91f, "");
SYMBOL_CRC(ieee80211_tkip_add_iv, 0x16ad7c5f, "_gpl");
SYMBOL_CRC(ieee80211_get_tkip_p1k_iv, 0x1cf75d45, "");
SYMBOL_CRC(ieee80211_get_tkip_rx_p1k, 0x391eda45, "");
SYMBOL_CRC(ieee80211_get_tkip_p2k, 0x8c4693d9, "");
SYMBOL_CRC(ieee80211_csa_finish, 0xd9eb2768, "");
SYMBOL_CRC(ieee80211_channel_switch_disconnect, 0xfe3c98a4, "");
SYMBOL_CRC(ieee80211_nan_func_terminated, 0x3e5bac7b, "");
SYMBOL_CRC(ieee80211_nan_func_match, 0xe462817c, "");
SYMBOL_CRC(ieee80211_color_change_finish, 0xacc44fde, "_gpl");
SYMBOL_CRC(ieee80211_obss_color_collision_notify, 0x9a052515, "_gpl");
SYMBOL_CRC(ieee80211_sta_ps_transition, 0x42c9a3f7, "");
SYMBOL_CRC(ieee80211_sta_pspoll, 0xc3858fb3, "");
SYMBOL_CRC(ieee80211_sta_uapsd_trigger, 0x1569940e, "");
SYMBOL_CRC(ieee80211_drop_unencrypted_mgmt, 0x3277b5df, "");
SYMBOL_CRC(ieee80211_mark_rx_ba_filtered_frames, 0xa930adda, "");
SYMBOL_CRC(ieee80211_rx_list, 0xdbb00ab1, "");
SYMBOL_CRC(ieee80211_rx_napi, 0xc7714b17, "");
SYMBOL_CRC(ieee80211_rx_irqsafe, 0x64c20c8e, "");
SYMBOL_CRC(ieee80211_tx_prepare_skb, 0x42a6f895, "");
SYMBOL_CRC(ieee80211_tx_dequeue, 0x63e55632, "");
SYMBOL_CRC(ieee80211_next_txq, 0xd17bdfd4, "");
SYMBOL_CRC(__ieee80211_schedule_txq, 0xd633539c, "");
SYMBOL_CRC(ieee80211_txq_airtime_check, 0xd3feb912, "");
SYMBOL_CRC(ieee80211_txq_may_transmit, 0xacbc1f2f, "");
SYMBOL_CRC(ieee80211_txq_schedule_start, 0x508f7023, "");
SYMBOL_CRC(ieee80211_beacon_update_cntdwn, 0xbf02db51, "");
SYMBOL_CRC(ieee80211_beacon_set_cntdwn, 0x22f687e2, "");
SYMBOL_CRC(ieee80211_beacon_cntdwn_is_complete, 0x013c0013, "");
SYMBOL_CRC(ieee80211_beacon_get_template, 0xcb191865, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_index, 0x554624eb, "");
SYMBOL_CRC(ieee80211_beacon_free_ema_list, 0x65c7a186, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_list, 0x94095e00, "");
SYMBOL_CRC(ieee80211_beacon_get_tim, 0x5bb5a2f7, "");
SYMBOL_CRC(ieee80211_proberesp_get, 0x19c1c33d, "");
SYMBOL_CRC(ieee80211_get_fils_discovery_tmpl, 0x14b6617c, "");
SYMBOL_CRC(ieee80211_get_unsol_bcast_probe_resp_tmpl, 0x6055dc38, "");
SYMBOL_CRC(ieee80211_pspoll_get, 0xc0d25f28, "");
SYMBOL_CRC(ieee80211_nullfunc_get, 0x8b9c6c2d, "");
SYMBOL_CRC(ieee80211_probereq_get, 0xbbe35972, "");
SYMBOL_CRC(ieee80211_rts_get, 0x1a95c737, "");
SYMBOL_CRC(ieee80211_ctstoself_get, 0x116b96a7, "");
SYMBOL_CRC(ieee80211_get_buffered_bc, 0x06a7cd87, "");
SYMBOL_CRC(ieee80211_reserve_tid, 0xe05f44b7, "");
SYMBOL_CRC(ieee80211_unreserve_tid, 0xba1edeae, "");
SYMBOL_CRC(ieee80211_iter_keys, 0x0c3fbac0, "");
SYMBOL_CRC(ieee80211_iter_keys_rcu, 0x33c1bf9d, "");
SYMBOL_CRC(ieee80211_gtk_rekey_notify, 0xe91f9b82, "_gpl");
SYMBOL_CRC(ieee80211_get_key_rx_seq, 0xaeb9a917, "");
SYMBOL_CRC(ieee80211_set_key_rx_seq, 0x1dab0efe, "_gpl");
SYMBOL_CRC(ieee80211_remove_key, 0xea792270, "_gpl");
SYMBOL_CRC(ieee80211_gtk_rekey_add, 0xe9238966, "_gpl");
SYMBOL_CRC(ieee80211_key_mic_failure, 0xd004ea88, "_gpl");
SYMBOL_CRC(ieee80211_key_replay, 0x9e1c1431, "_gpl");
SYMBOL_CRC(wiphy_to_ieee80211_hw, 0xaa0bce17, "");
SYMBOL_CRC(ieee80211_get_bssid, 0x95febea6, "");
SYMBOL_CRC(ieee80211_generic_frame_duration, 0xec60e722, "");
SYMBOL_CRC(ieee80211_rts_duration, 0xafffed7f, "");
SYMBOL_CRC(ieee80211_ctstoself_duration, 0x5f48df09, "");
SYMBOL_CRC(ieee80211_handle_wake_tx_queue, 0x07c1f35a, "");
SYMBOL_CRC(ieee80211_wake_queue, 0x6043fb6e, "");
SYMBOL_CRC(ieee80211_stop_queue, 0x454b2f6b, "");
SYMBOL_CRC(ieee80211_stop_queues, 0x02f12c35, "");
SYMBOL_CRC(ieee80211_queue_stopped, 0xef31e947, "");
SYMBOL_CRC(ieee80211_wake_queues, 0x1e3024a6, "");
SYMBOL_CRC(ieee80211_iterate_interfaces, 0x37222498, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_atomic, 0x9932816c, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_mtx, 0x93eb8d6e, "_gpl");
SYMBOL_CRC(ieee80211_iterate_stations_atomic, 0xd918e2f5, "_gpl");
SYMBOL_CRC(ieee80211_iterate_stations_mtx, 0x6b75a966, "_gpl");
SYMBOL_CRC(wdev_to_ieee80211_vif, 0x77e03220, "_gpl");
SYMBOL_CRC(ieee80211_vif_to_wdev, 0xb22d9bb0, "_gpl");
SYMBOL_CRC(ieee80211_queue_work, 0xad2dc87a, "");
SYMBOL_CRC(ieee80211_queue_delayed_work, 0x778fc7bf, "");
SYMBOL_CRC(ieee80211_hw_restart_disconnect, 0xfdb512aa, "_gpl");
SYMBOL_CRC(ieee80211_resume_disconnect, 0xb0e72cfd, "_gpl");
SYMBOL_CRC(ieee80211_ave_rssi, 0x6fb1ad80, "_gpl");
SYMBOL_CRC(ieee80211_radar_detected, 0x8a6b996f, "");
SYMBOL_CRC(ieee80211_update_p2p_noa, 0x19f37f0d, "");
SYMBOL_CRC(ieee80211_parse_p2p_noa, 0x991a0ca0, "");
SYMBOL_CRC(ieee80211_txq_get_depth, 0xdca0f8b3, "");
SYMBOL_CRC(ieee802_11_parse_elems_full, 0x34e2481d, "");
SYMBOL_CRC(ieee80211_iter_chan_contexts_atomic, 0xca314068, "_gpl");
SYMBOL_CRC(ieee80211_calc_chandef_subchan_offset, 0xecb18574, "");
SYMBOL_CRC(ieee80211_rearrange_tpe_psd, 0x3431026d, "");
SYMBOL_CRC(ieee80211_chswitch_done, 0x610d1850, "");
SYMBOL_CRC(ieee80211_ap_probereq_get, 0xf3c58a92, "");
SYMBOL_CRC(ieee80211_beacon_loss, 0xfb1f865e, "");
SYMBOL_CRC(ieee80211_connection_loss, 0xad68421f, "");
SYMBOL_CRC(ieee80211_disconnect, 0xef7f1f41, "");
SYMBOL_CRC(ieee80211_send_teardown_neg_ttlm, 0x35784d8a, "");
SYMBOL_CRC(ieee80211_cqm_rssi_notify, 0x686a6862, "");
SYMBOL_CRC(ieee80211_cqm_beacon_loss_notify, 0x48d60e37, "");
SYMBOL_CRC(ieee80211_enable_rssi_reports, 0x7f0ac6f8, "");
SYMBOL_CRC(ieee80211_disable_rssi_reports, 0xcef01cb8, "");
SYMBOL_CRC(ieee80211_tdls_oper_request, 0x6c2ad546, "");
SYMBOL_CRC(ieee80211_calc_rx_airtime, 0x6db3b725, "_gpl");
SYMBOL_CRC(ieee80211_calc_tx_airtime, 0xa9c24616, "_gpl");
SYMBOL_CRC(__ieee80211_get_radio_led_name, 0xfadeef13, "");
SYMBOL_CRC(__ieee80211_get_assoc_led_name, 0xf26d2930, "");
SYMBOL_CRC(__ieee80211_get_tx_led_name, 0x0f4bc202, "");
SYMBOL_CRC(__ieee80211_get_rx_led_name, 0x1f4889f0, "");
SYMBOL_CRC(__ieee80211_create_tpt_led_trigger, 0xc863f568, "");
SYMBOL_CRC(ieee80211_report_wowlan_wakeup, 0x4365e3a8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa245e37, "crypto_skcipher_encrypt" },
	{ 0xc1e95b6b, "cfg80211_inform_bss_frame_data" },
	{ 0x2c848994, "cfg80211_sched_scan_results" },
	{ 0x3c86019a, "cfg80211_sinfo_alloc_tid_stats" },
	{ 0xaa2e5f63, "skb_complete_wifi_ack" },
	{ 0xf389fe60, "__hw_addr_init" },
	{ 0x94240507, "cfg80211_mgmt_tx_status_ext" },
	{ 0x633b5302, "cfg80211_rx_assoc_resp" },
	{ 0x1c5bd94a, "cfg80211_rx_unexpected_4addr_frame" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x78119835, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xcf1fc2bd, "skb_copy_bits" },
	{ 0x5818b6a2, "idr_find" },
	{ 0x117aca91, "cfg80211_merge_profile" },
	{ 0x98010e39, "eth_mac_addr" },
	{ 0x5311409, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xb7076af7, "cfg80211_links_removed" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9da90f8e, "cfg80211_chandef_dfs_required" },
	{ 0x8d880a35, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6923cd0b, "cfg80211_assoc_comeback" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb433400e, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb044166b, "regulatory_pre_cac_allowed" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf860fb55, "skb_clone_sk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8947ad0c, "trace_raw_output_prep" },
	{ 0x66369a0c, "wiphy_work_flush" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x588687a3, "cfg80211_bss_color_notify" },
	{ 0xc9b020dd, "cfg80211_remain_on_channel_expired" },
	{ 0xa2faf65e, "bpf_trace_run6" },
	{ 0x2cd7a781, "cfg80211_cac_event" },
	{ 0x52cd9bc1, "skb_dequeue" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x10e519be, "cfg80211_register_netdevice" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd46f8f31, "trace_event_printf" },
	{ 0xff276373, "led_trigger_blink_oneshot" },
	{ 0xcc1a7c48, "cfg80211_is_element_inherited" },
	{ 0xfe0f641, "ieee80211_amsdu_to_8023s" },
	{ 0x3e9110fa, "__hw_addr_unsync" },
	{ 0x7bb34e89, "cfg80211_ref_bss" },
	{ 0x272d6876, "ieee80211_mandatory_rates" },
	{ 0xefab0596, "ieee80211_chandef_to_operating_class" },
	{ 0x4df02057, "crc32_be" },
	{ 0x345fa8cc, "ieee80211_operating_class_to_chandef" },
	{ 0x37e53f48, "dev_alloc_name" },
	{ 0x87f8fb29, "___pskb_trim" },
	{ 0x2f4711db, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x646c544c, "cfg80211_iter_rnr" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x77db7f45, "crypto_alloc_aead" },
	{ 0x24899d5f, "bpf_trace_run2" },
	{ 0xf61feb28, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x80949cd5, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xee2bfc53, "event_triggers_call" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x590df783, "cfg80211_new_sta" },
	{ 0x634aa00b, "crypto_skcipher_setkey" },
	{ 0x2c83d6f3, "wiphy_delayed_work_pending" },
	{ 0xba25bcce, "netdev_set_default_ethtool_ops" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd18eed39, "__dynamic_dev_dbg" },
	{ 0xf5095737, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x36053a2e, "pskb_expand_head" },
	{ 0x804a5897, "skb_csum_hwoffload_help" },
	{ 0x96d14eb3, "skb_queue_purge_reason" },
	{ 0xf46782bb, "trace_event_buffer_commit" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x178c2d60, "crypto_destroy_tfm" },
	{ 0x8cfcdb9c, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfbb2a83e, "alloc_netdev_mqs" },
	{ 0x227e2850, "wiphy_new_nm" },
	{ 0xb85d35ed, "cfg80211_sta_opmode_change_notify" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1d9d20f, "cfg80211_ready_on_channel" },
	{ 0x69882cc2, "cfg80211_reg_check_beaconing" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x9caaa131, "cfg80211_classify8021d" },
	{ 0xabaffe5a, "cfg80211_tx_mgmt_expired" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fe47fa, "ieee80211_fragment_element" },
	{ 0x8b0905b0, "cfg80211_rx_mlme_mgmt" },
	{ 0xf128b7ea, "wiphy_delayed_work_queue" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xa74a062d, "trace_event_ignore_this_pid" },
	{ 0xd78d3a4a, "crypto_skcipher_decrypt" },
	{ 0x173ef3fd, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x39d948ec, "__alloc_skb" },
	{ 0x859d84c7, "cfg80211_put_bss" },
	{ 0xfd877ca0, "cfg80211_nan_func_terminated" },
	{ 0xe1b86b05, "cfg80211_ch_switch_notify" },
	{ 0xb8c34fed, "idr_get_next" },
	{ 0x6341d237, "cfg80211_tx_mlme_mgmt" },
	{ 0xfab80cb1, "_dev_info" },
	{ 0x73d90eea, "napi_gro_receive" },
	{ 0xc551b702, "cfg80211_gtk_rekey_notify" },
	{ 0x858f9b34, "skb_copy_expand" },
	{ 0xbfb06b72, "skb_queue_tail" },
	{ 0xd848268, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6ccc52fd, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd36f67b3, "__cfg80211_radar_event" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x13d28ed5, "cfg80211_tdls_oper_request" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x29671eb4, "idr_remove" },
	{ 0x75124fd7, "cfg80211_control_port_tx_status" },
	{ 0x9ce5d166, "cfg80211_chandef_primary" },
	{ 0x2382550e, "cfg80211_get_drvinfo" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xccfc2cdb, "crypto_aead_setkey" },
	{ 0x28e9e953, "__skb_get_hash_net" },
	{ 0x76f34e71, "kernel_param_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfd8bb72b, "cfg80211_rx_spurious_frame" },
	{ 0x4cf99a17, "perf_trace_run_bpf_submit" },
	{ 0xab579007, "cfg80211_ibss_joined" },
	{ 0xdd47f1f4, "cfg80211_nan_match" },
	{ 0xa2d61b4a, "crypto_shash_setkey" },
	{ 0xf7be8ee8, "cfg80211_chandef_compatible" },
	{ 0x2bdacc16, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xdbc9faee, "cfg80211_iter_combinations" },
	{ 0xcb62f037, "idr_alloc" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xaede299f, "cfg80211_iftype_allowed" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x579e4007, "crypto_aead_encrypt" },
	{ 0x4036da25, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x763aeea8, "ieee80211_is_valid_amsdu" },
	{ 0xf3b78b19, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xbf5ef05d, "cfg80211_michael_mic_failure" },
	{ 0xe5475a1c, "cfg80211_cqm_pktloss_notify" },
	{ 0xa716146c, "cfg80211_any_usable_channels" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0xcea08839, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x8fa02936, "cfg80211_free_nan_func" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x399709dc, "skb_push" },
	{ 0xf40bc2f5, "ieee80211_operating_class_to_band" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb445379c, "cfg80211_del_sta_sinfo" },
	{ 0x7c494473, "netif_receive_skb" },
	{ 0xbb39ce87, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xdcb660bc, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4b952e0e, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x99c70bb0, "wiphy_unregister" },
	{ 0x60619417, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5ddf5e6e, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x75e0a5bc, "wiphy_work_queue" },
	{ 0x2d152880, "led_trigger_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcbe1a535, "ieee80211_radiotap_iterator_init" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x32fa2e29, "ieee80211_data_to_8023_exthdr" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8845a80, "ethtool_op_get_link" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42bb15e5, "bpf_trace_run1" },
	{ 0x86253027, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x5ff92023, "cfg80211_schedule_channels_check" },
	{ 0x2c19c3c0, "nl80211_chan_width_to_mhz" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2239d975, "rhashtable_free_and_destroy" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x96bbbcd6, "kernel_param_unlock" },
	{ 0xec760fb9, "wiphy_work_cancel" },
	{ 0xfb578fc5, "memset" },
	{ 0xc387d924, "_dev_warn" },
	{ 0xdf4d81fe, "wiphy_delayed_work_timer" },
	{ 0x57ca5ea0, "cfg80211_chandef_usable" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x30635fc0, "rht_bucket_nested_insert" },
	{ 0x4b1aa3b, "wiphy_delayed_work_cancel" },
	{ 0xa4cd20a1, "kfree_skb_list_reason" },
	{ 0xf12873cc, "cfg80211_cqm_beacon_loss_notify" },
	{ 0xcf184b35, "param_ops_charp" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3a87f470, "cfg80211_rx_control_port" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x865029ac, "__hw_addr_sync" },
	{ 0x33e2ba49, "__pskb_pull_tail" },
	{ 0xb3906461, "netif_rx" },
	{ 0x67b58af1, "__netdev_alloc_skb" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0x1bb59029, "ieee80211_s1g_channel_width" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd5d1b88a, "skb_trim" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0xc0776c65, "cfg80211_ch_switch_started_notify" },
	{ 0x131a1946, "cfg80211_check_station_change" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe1e6c7ec, "cfg80211_sched_scan_stopped_locked" },
	{ 0x7f3bd671, "bpf_trace_run3" },
	{ 0x89d4c58, "rhashtable_insert_slow" },
	{ 0x6561b437, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4d1874f4, "cfg80211_unregister_wdev" },
	{ 0x735b316b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7d72f094, "cfg80211_probe_status" },
	{ 0xc75b1137, "freq_reg_info" },
	{ 0xeb3c444e, "trace_event_buffer_reserve" },
	{ 0x2b0f2a4c, "cfg80211_stop_iface" },
	{ 0x78afa49, "ieee80211_radiotap_iterator_next" },
	{ 0x9d69d4aa, "cfg80211_rx_mgmt_ext" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0x62c4fa62, "crypto_shash_finup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb8b78e18, "param_ops_bool" },
	{ 0xd6c87a05, "cfg80211_defragment_element" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x274afb66, "wiphy_delayed_work_flush" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc39e91b1, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc66eb12c, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x92894cfe, "led_trigger_register" },
	{ 0xa2f83603, "skb_copy" },
	{ 0xe0b11875, "cfg80211_assoc_failure" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xaae7ca4b, "skb_clone" },
	{ 0x4afe63a6, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xb3d53a3, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0xd375d7b9, "cfg80211_send_layer2_update" },
	{ 0x481384cd, "dev_printk" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0xcf852425, "cfg80211_get_iftype_ext_capa" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb61e4627, "led_trigger_event" },
	{ 0x821cac64, "cfg80211_shutdown_all_interfaces" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x68a8cedf, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x2f872b9b, "cfg80211_report_obss_beacon_khz" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x5de4c26, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xa835f0fe, "crypto_alloc_shash" },
	{ 0x275269b3, "ieee80211_ie_split_ric" },
	{ 0x2dd48081, "led_trigger_blink" },
	{ 0x53382dce, "cfg80211_radio_chandef_valid" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x80d2c0e5, "__skb_gso_segment" },
	{ 0x87debd7c, "cfg80211_unlink_bss" },
	{ 0x7922dafe, "__cfg80211_get_bss" },
	{ 0x8b25861, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x976e84e4, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x45477c81, "netdev_info" },
	{ 0xeb7a334a, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4157600d, "cfg80211_auth_timeout" },
	{ 0x25bf6b2a, "cfg80211_rx_unprot_mlme_mgmt" },
	{ 0x4ea73e1e, "crypto_alloc_skcipher" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,libarc4");


MODULE_INFO(srcversion, "09810D0485D76FA07FC1154");
MODULE_INFO(rhelversion, "9.6");
