#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x0a81aaec, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xa63ac54e, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x63caafe9, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x6279c2fe, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x2727dd86, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x3395f987, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x2f2acc18, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x0fb3f0f0, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x5f96d8b4, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0xd0180b1e, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xbb962c7e, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x15689515, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x82859a20, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x644426c5, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0xb2c40c37, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x99d2258a, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x3c8cc184, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xd8ca5ce3, "flow_rule_alloc" },
	{ 0xe71844e0, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x79b687d3, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfc0c4819, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9860048a, "neigh_xmit" },
	{ 0xb9cbdb1, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0xdc90303e, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd0d3c0c4, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x3a2ca136, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x36053a2e, "pskb_expand_head" },
	{ 0xdbd3df12, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x640c6fc7, "down_write" },
	{ 0x3d6b844e, "up_write" },
	{ 0x2bdacc16, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x27d7e81d, "dev_get_by_index" },
	{ 0x30a61681, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xec734f47, "mutex_lock" },
	{ 0xd0e126ac, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xabac5a29, "flow_indr_dev_setup_offload" },
	{ 0x981d2901, "rhashtable_walk_stop" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x708957b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x30635fc0, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x33e2ba49, "__pskb_pull_tail" },
	{ 0x84d5440a, "rhashtable_destroy" },
	{ 0x85eb0e59, "down_read" },
	{ 0x1786bb0a, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x89d4c58, "rhashtable_insert_slow" },
	{ 0x7a50793e, "rt_read_lock" },
	{ 0x735b316b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x572e3d3f, "ipv4_mtu" },
	{ 0x43e07897, "neigh_destroy" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf5b322f0, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe5b68086, "rt_read_unlock" },
	{ 0x39fb80ab, "remove_proc_entry" },
	{ 0x854378d6, "nf_ct_acct_add" },
	{ 0x54cbb612, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa92d614e, "dst_release" },
	{ 0x2a147044, "nf_ct_l4proto_find" },
	{ 0x5088c9ac, "seq_puts" },
	{ 0x93809f2f, "rhashtable_walk_next" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x2bb5d78f, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x513d9025, "up_read" },
	{ 0xcd87a107, "rhashtable_walk_exit" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "DCF04ED4AAF51C5552BBA3C");
MODULE_INFO(rhelversion, "9.6");
