#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x08c9801a, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x3334758a, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0xccac6bf5, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xe472d3e6, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xf26d80a6, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xd7f78145, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x51c6594c, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xc1223210, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x8aa1607c, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x65c1f812, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0x32bbaecf, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x99ef3bb6, "_gpl");
SYMBOL_CRC(mhi_notify, 0x4cff0ad2, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0xc2b24929, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0xd6d957bb, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x8adb5e3f, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0xc77b5ee6, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x421c4a45, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x2400f104, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x97aa721f, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0x0bea7f4c, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x58e4080c, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x0bc3b479, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x5a556991, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x804a443e, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x3c503e49, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x8d7e5b1d, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xaffd3a2d, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x973d2aac, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x7fb75b79, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x24c09318, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x66d5e63c, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x183bcef3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x589e397e, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x78119835, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa180f11c, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x224100b5, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8947ad0c, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x5894250f, "finish_wait" },
	{ 0x6e69afa3, "dma_unmap_page_attrs" },
	{ 0xfc5a6c7e, "request_firmware" },
	{ 0xd46f8f31, "trace_event_printf" },
	{ 0xad2b8a57, "device_initialize" },
	{ 0x2f4711db, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc08906b, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x24899d5f, "bpf_trace_run2" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0xe0d47983, "__wake_up" },
	{ 0xee2bfc53, "event_triggers_call" },
	{ 0x24314af1, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd18eed39, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe5ce56e9, "dev_driver_string" },
	{ 0xf46782bb, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x757be013, "dma_map_page_attrs" },
	{ 0x1bcbf70b, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29e65568, "put_device" },
	{ 0xa74a062d, "trace_event_ignore_this_pid" },
	{ 0xcc2ae0ed, "sysfs_remove_file_ns" },
	{ 0x6ab7860b, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xfab80cb1, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4cf99a17, "perf_trace_run_bpf_submit" },
	{ 0x1b19ced0, "bus_unregister" },
	{ 0x77bb4606, "_dev_err" },
	{ 0x29415e0, "device_wakeup_enable" },
	{ 0xb8192e7d, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x8fb1f0bd, "dma_alloc_attrs" },
	{ 0xbb39ce87, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x52690ea, "ida_free" },
	{ 0x2f1d30e9, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37a3a67, "device_del" },
	{ 0xc387d924, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x7f3bd671, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7a50793e, "rt_read_lock" },
	{ 0xd6518af, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xeb3c444e, "trace_event_buffer_reserve" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe5b68086, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x898a6527, "rt_write_lock" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc078f813, "driver_register" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0xc25255c3, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A6799FF7734A934FCE082B");
MODULE_INFO(rhelversion, "9.6");
