#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xc14f7e83, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x7a2dee87, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xdd127ff4, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x628ac7f4, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x401663a7, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xb293630d, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0xd495e08a, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x3292aa40, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x9b3f2751, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x647485f1, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x038b5858, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xe6f9c800, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x44af3a01, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x315c4e7b, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0xc5d85e4d, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0xa7f51e08, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x1b278bda, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x201bdfba, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xcf80fc62, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xab0187e9, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x923b5158, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x9409c13c, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x12bd8aa6, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xe3962123, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xea886149, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x249b53a7, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xd8b95a99, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xc54d9226, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x3eace34f, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x28a198ad, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x55bb21f0, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x23022240, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xf79cd769, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x713c0791, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x01e8837f, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xe7ea17ab, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x73814cef, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x672d14d6, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xc36f03da, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x7e3690ac, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x6f6c5f57, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x1a18a252, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x4decc376, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xb9207c1e, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xf953bf18, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x6a27c3fd, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xb78bcbc8, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x8c529d1e, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x488acfa4, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x186fe5b0, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xdf63ce03, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x3df96d3d, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xcd0fbef3, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x8f4262de, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xea6fb221, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x3f6a582a, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x4d378b5c, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x444cd46c, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x04353118, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xe10ef332, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x5532cdc9, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x302d98d0, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xd1b5854c, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xb2f4ef54, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x5e913179, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0xce1b2ca7, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x76945dfd, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xc71ec4a0, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xe73aa2ed, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x0123f81c, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x3ffbf073, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xa9cd61f9, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x61941dbb, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xfc26f199, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xbbe538f2, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xad5e13bb, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xe370bcc7, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xeec3ced3, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x4374fb14, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xa4cfff38, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x34be2021, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x12892f96, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x0a2ab825, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x86ba38ba, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xf5fcbc9b, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x52e7ccc5, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x46356e19, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xe082991a, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xd57c9df5, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xecf5d49d, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x4a4e0a34, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xec5a3409, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x962b7190, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x47183611, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x927ddfbc, "");
SYMBOL_CRC(drm_flip_work_queue, 0x0a0b51e5, "");
SYMBOL_CRC(drm_flip_work_commit, 0xe1fb7faf, "");
SYMBOL_CRC(drm_flip_work_init, 0xb1ca4d96, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xaf0c051a, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x846e30cb, "");
SYMBOL_CRC(drm_fb_swab, 0x4133e455, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xbf31bfb7, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x186de0cd, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x98a4f754, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x067eef11, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xf3981b6c, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x51fc1ffa, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x3f87cc00, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xf31fb400, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x61535826, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x0328bf67, "");
SYMBOL_CRC(drm_fb_blit, 0x330eaeb3, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x508d7a14, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x03e914c4, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x125cb519, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x4f0863fa, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x82f5d972, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x6a037caa, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x993b66c4, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xb260be86, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x54ecb79e, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xea86b8a8, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0xaedf2c21, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x5596fd24, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xe14e4b7d, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x4ea23030, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x5c05be2d, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x8bfe0da6, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x20d59d49, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x909792d5, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x1e97849e, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x9e379d91, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xdcaf801b, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x8d0bdf45, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x6175c806, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xfea0554d, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x1aca3d2d, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xe8d68665, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0xea9a8aed, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x49ce25d7, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x9c3a086c, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x1fe75526, "");
SYMBOL_CRC(drm_crtc_init, 0x29e26764, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xc78bd39b, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x1783060c, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x6ea2e4df, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xf9c41665, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x6b21f7fe, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x810014dd, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x413c0796, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x9b9e5f82, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xbf092161, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xc67b102b, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x1e14c0e5, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xe653fdcf, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0xa8256fb2, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x446fac70, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xf98325d6, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x33cce1d7, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x64e553a5, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x069a31a3, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x9c886a98, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x1da3230b, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x27d4d708, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0x132a2bbf, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x07d27e66, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x1b01b16c, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x820c1f8e, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x0882bb31, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x1b973282, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xd24eb76e, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xe53d29bc, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x68ac3062, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x71ac6c0d, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x747e9c54, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xc829f8d9, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x9085f181, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x06844648, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x549c7e5a, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xb8d24bff, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x5b6845e1, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xc3875add, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x584730df, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x6717caf3, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x5a11a209, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x0dd34a15, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x3d967555, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x013bc302, "");
SYMBOL_CRC(drm_fb_helper_init, 0xbe1e9c84, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xfe46eb21, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xee6ffdb4, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xa3c81727, "");
SYMBOL_CRC(drm_fb_helper_fini, 0xd61d04c1, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x0c6e04db, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x6509cea7, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x7b118a2b, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x13f7c979, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0xaec41358, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xe8b9b3a8, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xb8c5cda1, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x4d7417d3, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xac3cb5cb, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0xcc152cee, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xe0381488, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xd23109b5, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x587ae907, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x32475320, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8537ee2c, "unregister_framebuffer" },
	{ 0xdd73d1be, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x39929578, "drm_framebuffer_cleanup" },
	{ 0xd5e6e678, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7ddbfff, "drm_panel_get_modes" },
	{ 0x1823522a, "drm_gem_vmap_unlocked" },
	{ 0x2292887e, "try_module_get" },
	{ 0x4c94e3b8, "drm_connector_list_update" },
	{ 0xd58732fa, "drm_bridge_add" },
	{ 0xa5d69266, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x496f42ae, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x80db7a7b, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xaf925371, "drm_client_rotation" },
	{ 0x1e9bf8f2, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3754898c, "drm_framebuffer_init" },
	{ 0xf401031c, "drm_mode_validate_driver" },
	{ 0x219fa7dd, "drm_atomic_add_affected_planes" },
	{ 0xcac33bf6, "dma_buf_end_cpu_access" },
	{ 0x54dd1c8d, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0465728, "drm_mode_probed_add" },
	{ 0xe4452a36, "drm_atomic_add_affected_connectors" },
	{ 0x9370fcda, "drm_gem_vunmap_unlocked" },
	{ 0xc734fd24, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x5894250f, "finish_wait" },
	{ 0xc3690871, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x3f488e3c, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x7117144e, "drm_mode_object_get" },
	{ 0xe61ddc46, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x971fcc3, "drm_driver_legacy_fb_format" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0x80ccd4d8, "drm_crtc_cleanup" },
	{ 0x73e5eb5a, "drm_connector_list_iter_begin" },
	{ 0xa8382bee, "drm_mode_set_config_internal" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0x4a655fb, "framebuffer_alloc" },
	{ 0xa58cb1f, "drm_encoder_cleanup" },
	{ 0x5688e1aa, "drm_modeset_acquire_init" },
	{ 0x6793ffcf, "dma_fence_set_deadline" },
	{ 0xa69563f3, "drm_client_modeset_probe" },
	{ 0x67e060ac, "drm_warn_on_modeset_not_all_locked" },
	{ 0xc39be75e, "drm_plane_get_damage_clips" },
	{ 0xcc303ee4, "devres_add" },
	{ 0xf87d2556, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x39044e65, "drm_add_modes_noedid" },
	{ 0x543ffbe0, "drm_bridge_remove" },
	{ 0x6f679229, "drm_mode_object_put" },
	{ 0xe5ce56e9, "dev_driver_string" },
	{ 0x8d000e0, "drm_crtc_vblank_get" },
	{ 0x5e79e62d, "drm_gem_object_lookup" },
	{ 0xe8ca7fdd, "drm_crtc_send_vblank_event" },
	{ 0xeff6211f, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3e8f652c, "drm_atomic_normalize_zpos" },
	{ 0x6f97b713, "drm_edid_connector_update" },
	{ 0x1e523914, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa8768ab0, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c9d217b, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x2cf25dce, "drm_connector_list_iter_end" },
	{ 0xc8f407db, "drm_atomic_set_crtc_for_plane" },
	{ 0x85d75878, "drm_client_modeset_dpms" },
	{ 0xf4175535, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x541ad8db, "drm_client_dev_hotplug" },
	{ 0xfab80cb1, "_dev_info" },
	{ 0x97596af3, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xe0ccdbf9, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xf379dc97, "module_put" },
	{ 0x1888bee4, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x3aee6c23, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7f474179, "drm_client_init" },
	{ 0x5255c357, "drm_crtc_wait_one_vblank" },
	{ 0xf84e758e, "drm_crtc_next_vblank_start" },
	{ 0x16ec6c49, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x60c21a2e, "drm_modeset_lock" },
	{ 0x6310d50b, "drm_client_modeset_commit_locked" },
	{ 0xac5eed0f, "drm_modeset_unlock" },
	{ 0x59907e8c, "drm_panel_disable" },
	{ 0xbe6e7a62, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x32284f73, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x296adff4, "devm_kfree" },
	{ 0x77bb4606, "_dev_err" },
	{ 0x151bd761, "drm_writeback_cleanup_job" },
	{ 0x25a20fb0, "drm_modeset_lock_all_ctx" },
	{ 0x9a7a94ec, "i2c_unregister_device" },
	{ 0xa88e24d7, "drm_atomic_set_fb_for_plane" },
	{ 0x90bff012, "__drm_universal_plane_alloc" },
	{ 0xd958362e, "drm_edid_connector_add_modes" },
	{ 0x1bf0a73f, "drm_probe_ddc" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x373a3b99, "__devres_alloc_node" },
	{ 0xa024f389, "drm_edid_read" },
	{ 0xe79f02c8, "drm_crtc_commit_wait" },
	{ 0x6dee1564, "drm_dev_has_vblank" },
	{ 0x5d9651d7, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x9e9388e, "__drm_atomic_helper_disable_plane" },
	{ 0x119f1be2, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x221a56c0, "drm_gem_handle_create" },
	{ 0x1e3a1eab, "drm_atomic_set_crtc_for_connector" },
	{ 0x85ec90ec, "drm_analog_tv_mode" },
	{ 0x953cc2c8, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xc3cb8fbe, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x14b9ec76, "drm_crtc_vblank_put" },
	{ 0xd6e56fee, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x53e9dd0e, "__drm_dev_dbg" },
	{ 0x8d8367b6, "drm_plane_get_damage_clips_count" },
	{ 0x18d9be4c, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x7f22104f, "drm_atomic_state_alloc" },
	{ 0xb8e900af, "drm_client_modeset_commit" },
	{ 0xc387d924, "_dev_warn" },
	{ 0x434b81b9, "drm_atomic_bridge_chain_post_disable" },
	{ 0xf3699cd5, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x47c8715f, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd72179ac, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x8d77d432, "drm_client_release" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xcd4fcd31, "__drm_atomic_helper_set_config" },
	{ 0x49449ea, "mutex_trylock" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x49658fa1, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xd338ec5b, "drm_connector_cleanup" },
	{ 0x389905ca, "drm_get_format_info" },
	{ 0x582c1fe2, "drm_universal_plane_init" },
	{ 0x22d64f38, "drm_any_plane_has_format" },
	{ 0x72ce564a, "drm_connector_list_iter_next" },
	{ 0xfffa7fa0, "drm_modeset_acquire_fini" },
	{ 0xb1ac869b, "drm_encoder_init" },
	{ 0xfc2410db, "drm_object_property_get_default_value" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb8b78e18, "param_ops_bool" },
	{ 0x87dcfcf1, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf50847f6, "drm_modeset_backoff" },
	{ 0x943cd917, "drm_panel_prepare" },
	{ 0xd41fcb0, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x22d4ac5a, "drm_atomic_get_plane_state" },
	{ 0x7f2ea30b, "drm_atomic_bridge_chain_check" },
	{ 0x34af30c3, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0x3b3a7054, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xaa8242c7, "drm_property_blob_put" },
	{ 0x38a59834, "drm_mode_destroy" },
	{ 0x35efae72, "drm_bridge_attach" },
	{ 0xfd97d505, "drm_set_preferred_mode" },
	{ 0x43615c87, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x2b43412b, "drm_atomic_state_clear" },
	{ 0xf0cb820c, "drm_mode_config_reset" },
	{ 0xe97ee285, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x887a126a, "drm_modeset_drop_locks" },
	{ 0xcc04f014, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x443a2fe9, "drm_atomic_bridge_chain_disable" },
	{ 0x6da1c046, "drm_mode_create_from_cmdline_mode" },
	{ 0xf4db9339, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x5de4c26, "param_ops_int" },
	{ 0xeb4200f9, "drm_atomic_nonblocking_commit" },
	{ 0xf4557307, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xc7f3e64d, "drm_master_internal_release" },
	{ 0xc87683c5, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x8f382095, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0xd96a9d2c, "drm_atomic_add_encoder_bridges" },
	{ 0x53bb71f2, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x59ee389e, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "fb,drm");


MODULE_INFO(srcversion, "B7661952925E31DDED407A3");
MODULE_INFO(rhelversion, "9.6");
