#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_sched_tdr_queue_imm, "", "");
KSYMTAB_FUNC(drm_sched_fault, "", "");
KSYMTAB_FUNC(drm_sched_suspend_timeout, "", "");
KSYMTAB_FUNC(drm_sched_resume_timeout, "", "");
KSYMTAB_FUNC(drm_sched_stop, "", "");
KSYMTAB_FUNC(drm_sched_start, "", "");
KSYMTAB_FUNC(drm_sched_resubmit_jobs, "", "");
KSYMTAB_FUNC(drm_sched_job_init, "", "");
KSYMTAB_FUNC(drm_sched_job_arm, "", "");
KSYMTAB_FUNC(drm_sched_job_add_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_syncobj_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_resv_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_add_implicit_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_cleanup, "", "");
KSYMTAB_FUNC(drm_sched_pick_best, "", "");
KSYMTAB_FUNC(drm_sched_init, "", "");
KSYMTAB_FUNC(drm_sched_fini, "", "");
KSYMTAB_FUNC(drm_sched_increase_karma, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_ready, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_stop, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_start, "", "");
KSYMTAB_FUNC(to_drm_sched_fence, "", "");
KSYMTAB_FUNC(drm_sched_entity_init, "", "");
KSYMTAB_FUNC(drm_sched_entity_modify_sched, "", "");
KSYMTAB_FUNC(drm_sched_entity_error, "", "");
KSYMTAB_FUNC(drm_sched_entity_flush, "", "");
KSYMTAB_FUNC(drm_sched_entity_fini, "", "");
KSYMTAB_FUNC(drm_sched_entity_destroy, "", "");
KSYMTAB_FUNC(drm_sched_entity_set_priority, "", "");
KSYMTAB_FUNC(drm_sched_entity_push_job, "", "");

SYMBOL_CRC(drm_sched_tdr_queue_imm, 0x9f48b7b3, "");
SYMBOL_CRC(drm_sched_fault, 0x260fc3bf, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0xb38ff8b3, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x9390b073, "");
SYMBOL_CRC(drm_sched_stop, 0x2baacc87, "");
SYMBOL_CRC(drm_sched_start, 0x349e0c67, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x58a0ba72, "");
SYMBOL_CRC(drm_sched_job_init, 0xecce9e32, "");
SYMBOL_CRC(drm_sched_job_arm, 0xde972e68, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0xbe33c86e, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0xf44fed04, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0x97a6eb76, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0xa2ad4d71, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0x608d18cc, "");
SYMBOL_CRC(drm_sched_pick_best, 0x6ef8a610, "");
SYMBOL_CRC(drm_sched_init, 0xce5cc560, "");
SYMBOL_CRC(drm_sched_fini, 0x1ebfa799, "");
SYMBOL_CRC(drm_sched_increase_karma, 0xab342020, "");
SYMBOL_CRC(drm_sched_wqueue_ready, 0xda4aa13b, "");
SYMBOL_CRC(drm_sched_wqueue_stop, 0x9dcb6bed, "");
SYMBOL_CRC(drm_sched_wqueue_start, 0xb139749e, "");
SYMBOL_CRC(to_drm_sched_fence, 0xe8a17e6d, "");
SYMBOL_CRC(drm_sched_entity_init, 0xbf1c7eb4, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0x15707d0f, "");
SYMBOL_CRC(drm_sched_entity_error, 0x8a63cb93, "");
SYMBOL_CRC(drm_sched_entity_flush, 0xcfbd2bfc, "");
SYMBOL_CRC(drm_sched_entity_fini, 0xab2d237f, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0xc1859080, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0xa61fa86e, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0xc65ca63d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa99c0363, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8947ad0c, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x5894250f, "finish_wait" },
	{ 0xd46f8f31, "trace_event_printf" },
	{ 0x2f4711db, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x24899d5f, "bpf_trace_run2" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0xe0d47983, "__wake_up" },
	{ 0xee2bfc53, "event_triggers_call" },
	{ 0x94c0bb8e, "dma_fence_add_callback" },
	{ 0x6793ffcf, "dma_fence_set_deadline" },
	{ 0x91651f4, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf87d2556, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe5ce56e9, "dev_driver_string" },
	{ 0xf46782bb, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa74a062d, "trace_event_ignore_this_pid" },
	{ 0x9ae9c3b5, "dma_resv_iter_next" },
	{ 0x27321b63, "dma_fence_remove_callback" },
	{ 0x8f1a1edd, "kmem_cache_alloc" },
	{ 0xfd99dd9e, "drm_dev_printk" },
	{ 0x8bf51ae0, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4cf99a17, "perf_trace_run_bpf_submit" },
	{ 0x77bb4606, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9e7eb942, "xa_load" },
	{ 0x7a104aa1, "dma_fence_signal" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8ebfb8b6, "kmem_cache_free" },
	{ 0xbb39ce87, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xee384a03, "dma_fence_init" },
	{ 0x42bb15e5, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xc387d924, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8bea0e85, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xeb3c444e, "trace_event_buffer_reserve" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf3873c86, "xa_destroy" },
	{ 0x27f85bb7, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x14ef3530, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x57e72840, "dma_resv_iter_first" },
	{ 0xe7211bff, "xa_find_after" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0x5de4c26, "param_ops_int" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x1774ae63, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "36CEA099525BB91D92912C6");
MODULE_INFO(rhelversion, "9.6");
