#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x40f1df26, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0xdf35960d, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x0b7ec475, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0xbac1bdb3, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0xcacf8784, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0xc4801b42, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0xe8a8424d, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0x4eed3c84, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0x8f3190d3, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0xca5b6b79, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0xe8e7fc53, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0x2bbef646, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0x8d968a07, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x65207ed1, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x2bc99927, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x71be9544, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0xe2d01667, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0x0f21e4d8, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x95ea22a6, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0x5457e68e, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0xb16ffebd, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0xb4e0239a, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x4633eac1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc07b220b, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x47bde002, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe71844e0, "__init_rwsem" },
	{ 0xe20e55f2, "misc_deregister" },
	{ 0xe48221f1, "iommu_device_claim_dma_owner" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x86adc021, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x53da4751, "iommu_group_get" },
	{ 0xb26ee1b3, "pin_user_pages_remote" },
	{ 0xa575ac3e, "iommu_iova_to_phys" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x5894250f, "finish_wait" },
	{ 0xe4febe3a, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xd2d97160, "fget" },
	{ 0x3b0e291d, "__put_task_struct" },
	{ 0xd536eb4e, "__xas_next" },
	{ 0x312ba4e0, "xas_find" },
	{ 0x41fbad96, "iommu_dev_disable_feature" },
	{ 0x7b769e28, "unpin_user_pages" },
	{ 0x98d8fdc4, "fd_install" },
	{ 0xa2dec099, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x499b8798, "unpin_user_page_range_dirty_lock" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0xcc8f984d, "__account_locked_vm" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0x878bb57b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe0d47983, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x9078f811, "__tracepoint_mmap_lock_released" },
	{ 0xa7699ad4, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x1f2325bb, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xd40dfab3, "iommu_detach_group_handle" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4cc88509, "iommu_detach_group" },
	{ 0x614a73a, "iommu_paging_domain_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb6455a3, "iommu_dev_enable_feature" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8bf51ae0, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xa4aa377, "fput" },
	{ 0x640c6fc7, "down_write" },
	{ 0x1f9ca36f, "iommu_domain_free" },
	{ 0x3d6b844e, "up_write" },
	{ 0x9a29265b, "iommu_get_msi_cookie" },
	{ 0xf99849bf, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xe10cc80f, "iommu_unmap" },
	{ 0x9e7eb942, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xcabc3ea6, "xas_load" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x5ce04525, "iommu_attach_handle_get" },
	{ 0x16b5b2dd, "iommu_replace_group_handle" },
	{ 0xc38500ee, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb578fc5, "memset" },
	{ 0xc387d924, "_dev_warn" },
	{ 0x7d14798f, "misc_register" },
	{ 0xeed94a28, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xdb1bc717, "iommu_put_resv_regions" },
	{ 0x85eb0e59, "down_read" },
	{ 0xda4623f8, "__mmdrop" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x9eb3a4f0, "__xa_cmpxchg" },
	{ 0x2a119ad8, "nonseekable_open" },
	{ 0x8bea0e85, "xa_erase" },
	{ 0x1f45c2ef, "__mmap_lock_do_trace_start_locking" },
	{ 0x769f53d6, "iommu_get_resv_regions" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x995b8b8f, "mmput" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xb8b78e18, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf3873c86, "xa_destroy" },
	{ 0x27f85bb7, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xd4be4345, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x65122087, "__mmap_lock_do_trace_released" },
	{ 0x14ef3530, "xa_store" },
	{ 0xef1054e0, "set_page_dirty_lock" },
	{ 0x8db337f, "device_iommu_capable" },
	{ 0x2b30bb1e, "xas_nomem" },
	{ 0x56b40343, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xea330758, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfb052e4, "iommu_attach_group_handle" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0xe7211bff, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xae719150, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x513d9025, "up_read" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc35f62bb, "pci_bus_type" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0D416640E735BA99285DAB9");
MODULE_INFO(rhelversion, "9.6");
