#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x583c02ec, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x1bfe3256, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x5c2f8085, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0xa7bca5aa, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x2d5e4e03, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x2e8d5ab9, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x9810f883, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x54599820, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0xa80acdf2, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0xe8ca0190, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x3c50c965, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0xeb2dc2ea, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x5e52fdbf, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x8f32ea48, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x91e1bf57, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x37d654f0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x224100b5, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x410b1a27, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x5894250f, "finish_wait" },
	{ 0xad2b8a57, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1fbe7dc, "seq_lseek" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe0d47983, "__wake_up" },
	{ 0x24314af1, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5d85536, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xd8a803ff, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc618b682, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x29e65568, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1b19ced0, "bus_unregister" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x9da636c1, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd19c05bb, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0xa48d945b, "kthread_create_on_node" },
	{ 0xb8db592d, "seq_read" },
	{ 0x1d16c33d, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb8b78e18, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x6d002fe1, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54cbb612, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x5088c9ac, "seq_puts" },
	{ 0x9be89747, "single_release" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x5de4c26, "param_ops_int" },
	{ 0x28a87d0, "single_open" },
	{ 0xf4557307, "debugfs_create_dir" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0xc4f7872, "cdev_init" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0xc25255c3, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6E16BA39B674A2A31DB9EFC");
MODULE_INFO(rhelversion, "9.6");
