#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x270c46b6, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xc5153507, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x4320cf3f, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xff306be9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd99f237a, "netif_stacked_transfer_operstate" },
	{ 0x66706192, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf5608d00, "unregister_netdevice_queue" },
	{ 0xcfc337db, "netdev_upper_dev_unlink" },
	{ 0x44dd9031, "__dev_get_by_index" },
	{ 0xbcb402e2, "register_netdevice" },
	{ 0xa0692213, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x93ac01e2, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd5b851b6, "dev_uc_sync" },
	{ 0xd33428d6, "dev_mc_sync" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0xb3906461, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xaae7ca4b, "skb_clone" },
	{ 0x8c288cb5, "__dev_forward_skb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb433400e, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x735b316b, "__dev_queue_xmit" },
	{ 0x24c900fd, "dev_forward_skb" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xa52b8340, "__netif_rx" },
	{ 0x85d7bf43, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x84d24543, "netdev_core_stats_inc" },
	{ 0x795ad763, "passthru_features_check" },
	{ 0xb3d2640d, "eth_validate_addr" },
	{ 0x16034046, "ndo_dflt_fdb_dump" },
	{ 0x8845a80, "ethtool_op_get_link" },
	{ 0x9748b019, "eth_header_parse" },
	{ 0x2ac26028, "eth_header_cache" },
	{ 0xb32289e0, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf5095737, "ether_setup" },
	{ 0xe587541b, "__ethtool_get_link_ksettings" },
	{ 0x29cfceba, "ethtool_get_ts_info_by_layer" },
	{ 0xa5dcfe7c, "init_net" },
	{ 0x7f4c650d, "generic_hwtstamp_set_lower" },
	{ 0x98874038, "generic_hwtstamp_get_lower" },
	{ 0x6b3721c6, "dev_mc_del" },
	{ 0x2683cce7, "dev_uc_del" },
	{ 0x6df6383f, "dev_mc_add_excl" },
	{ 0x32c2c0ea, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xac82fafb, "vlan_vid_del" },
	{ 0x12238c6d, "vlan_vid_add" },
	{ 0x14072607, "dev_set_allmulti" },
	{ 0xd1220bf4, "dev_set_promiscuity" },
	{ 0x3df7b70e, "dev_uc_unsync" },
	{ 0x71d313bd, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x438b09fc, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4036da25, "sk_skb_reason_drop" },
	{ 0xa81cbe77, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x8332974a, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x510d8182, "rtnl_link_unregister" },
	{ 0xf00a075f, "nla_put" },
	{ 0x38a0d4fc, "netdev_is_rx_handler_busy" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x104fa3c4, "netdev_rx_handler_register" },
	{ 0xe0d42922, "dev_uc_add" },
	{ 0x60b363ed, "call_netdevice_notifiers" },
	{ 0x2a64d1ac, "netif_inherit_tso_max" },
	{ 0x8c771a53, "netdev_update_features" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A709F56BF6115152F7F51F");
MODULE_INFO(rhelversion, "9.6");
