#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xc3ff55a9, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x328eabf1, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x98affa30, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x12a24bc9, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xafd3bbec, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x0d51d11c, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xd1b022f4, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x45863b18, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x5095671c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3748e84, "netdev_err" },
	{ 0x29671eb4, "idr_remove" },
	{ 0xe0d47983, "__wake_up" },
	{ 0x5b11a8e8, "_copy_to_iter" },
	{ 0x9ba97ce, "iov_iter_advance" },
	{ 0x9f4c88fc, "skb_copy_datagram_iter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5818b6a2, "idr_find" },
	{ 0x5f7b24cf, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0xf60a583e, "sock_init_data_uid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x116d660, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xc4f7872, "cdev_init" },
	{ 0xf6a9d935, "cdev_add" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0xc6dbbce5, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc16c79bb, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf8d54235, "dev_get_mac_address" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb433400e, "consume_skb" },
	{ 0x5894250f, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xcac29415, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x86253027, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x399709dc, "skb_push" },
	{ 0x80d2c0e5, "__skb_gso_segment" },
	{ 0xaccee98c, "skb_checksum_help" },
	{ 0xa4cd20a1, "kfree_skb_list_reason" },
	{ 0x28e9e953, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x82145b07, "__skb_flow_dissect" },
	{ 0x4ff09be0, "skb_partial_csum_set" },
	{ 0x33e2ba49, "__pskb_pull_tail" },
	{ 0xdf3dfc4a, "iov_iter_npages" },
	{ 0x3362b93, "_copy_from_iter" },
	{ 0xe6022ead, "sock_alloc_send_pskb" },
	{ 0x5311409, "skb_put" },
	{ 0xda171c48, "zerocopy_sg_from_iter" },
	{ 0x735b316b, "__dev_queue_xmit" },
	{ 0xd584b4c6, "skb_copy_datagram_from_iter" },
	{ 0xa68f2483, "iov_iter_revert" },
	{ 0xcf1fc2bd, "skb_copy_bits" },
	{ 0x7ab7abda, "build_skb" },
	{ 0xa04bfc78, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4036da25, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcb62f037, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2448FE0CC839943825A4F");
MODULE_INFO(rhelversion, "9.6");
