#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x8320c76f, "");
SYMBOL_CRC(ntb_unregister_client, 0x380139e4, "");
SYMBOL_CRC(ntb_register_device, 0x9eb97b49, "");
SYMBOL_CRC(ntb_unregister_device, 0x507c7c30, "");
SYMBOL_CRC(ntb_set_ctx, 0x51b61e7f, "");
SYMBOL_CRC(ntb_clear_ctx, 0xb27b91a5, "");
SYMBOL_CRC(ntb_link_event, 0x53122d9b, "");
SYMBOL_CRC(ntb_db_event, 0x9af0b7f9, "");
SYMBOL_CRC(ntb_msg_event, 0x20f35cd3, "");
SYMBOL_CRC(ntb_default_port_number, 0x2728416c, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0xf9f759cb, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x9d8fc01d, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x931c006f, "");
SYMBOL_CRC(ntb_msi_init, 0xca39fb0b, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x8df0e46d, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x9c42feaa, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xe1061133, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x8423e024, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x68745aff, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x45e49770, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0xae67ced7, "devm_request_threaded_irq" },
	{ 0x80db7a7b, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x224100b5, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xeb2c519, "devm_iounmap" },
	{ 0x9b3864e8, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0xc1db8155, "devres_destroy" },
	{ 0x3386037f, "msi_unlock_descs" },
	{ 0xf59e3683, "devm_ioremap" },
	{ 0x24314af1, "get_device" },
	{ 0x17d468b2, "msi_lock_descs" },
	{ 0xcc303ee4, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29e65568, "put_device" },
	{ 0xd2ab4ed6, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1b19ced0, "bus_unregister" },
	{ 0x296adff4, "devm_kfree" },
	{ 0x767c3d1d, "irq_get_irq_data" },
	{ 0x373a3b99, "__devres_alloc_node" },
	{ 0x2f1d30e9, "driver_unregister" },
	{ 0x46e72ce3, "device_register" },
	{ 0xc387d924, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x848cfcf3, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xcf46ca88, "msi_next_desc" },
	{ 0xc078f813, "driver_register" },
	{ 0xc25255c3, "bus_register" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");
MODULE_INFO(rhelversion, "9.6");
