#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x2c23e9ee, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd270495a, "nvme_remove_admin_tag_set" },
	{ 0x36671663, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0x5a30e83a, "nvme_uninit_ctrl" },
	{ 0x8004ba65, "ida_destroy" },
	{ 0xc67a98d9, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x68e7a757, "nvmf_free_options" },
	{ 0x942a0e7b, "nvmf_subsystem_reset" },
	{ 0xb0edfba4, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x5894250f, "finish_wait" },
	{ 0x1721c96c, "nvme_stop_keep_alive" },
	{ 0xff0d5f11, "blk_mq_complete_request_remote" },
	{ 0x6e69afa3, "dma_unmap_page_attrs" },
	{ 0xfb6a48b2, "nvme_setup_cmd" },
	{ 0x45e38505, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x9d2eada2, "nvme_alloc_admin_tag_set" },
	{ 0xfd3c66e5, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x6e3fa476, "nvmf_reg_read32" },
	{ 0xe0d47983, "__wake_up" },
	{ 0x7657c0e9, "nvme_delete_ctrl" },
	{ 0x24314af1, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe5ce56e9, "dev_driver_string" },
	{ 0x344a841d, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x757be013, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x1ada70fb, "nvme_remove_io_tag_set" },
	{ 0x30e58f9d, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x83f50628, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x583167c4, "nvmf_unregister_transport" },
	{ 0x2433fd6, "blkcg_get_fc_appid" },
	{ 0x29e65568, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x1a4342a, "nvme_change_ctrl_state" },
	{ 0xfab80cb1, "_dev_info" },
	{ 0xdbbc6e56, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x35e1a74f, "nvme_alloc_io_tag_set" },
	{ 0x653198d4, "nvme_fail_nonready_command" },
	{ 0x96a95226, "kobject_uevent_env" },
	{ 0x42386394, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x77bb4606, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0xc1035b67, "device_create" },
	{ 0x969c54d2, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x5ad1054, "__blk_rq_map_sg" },
	{ 0x52690ea, "ida_free" },
	{ 0x60fe1e62, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc509f4c6, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa5b6a221, "nvmf_connect_admin_queue" },
	{ 0x73cd4b1b, "nvme_enable_ctrl" },
	{ 0x679c9031, "nvme_unquiesce_admin_queue" },
	{ 0xc387d924, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x75f91f35, "nvme_unquiesce_io_queues" },
	{ 0x5f8fba9f, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4f33c53c, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf1256362, "nvmf_should_reconnect" },
	{ 0x4fe89055, "__dma_sync_single_for_device" },
	{ 0x60670eba, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4a01112e, "device_destroy" },
	{ 0x86cbb060, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xf7085618, "nvmf_register_transport" },
	{ 0xd568bc49, "blk_mq_start_request" },
	{ 0x7ae47f9d, "nvme_quiesce_io_queues" },
	{ 0xba67d25d, "blk_mq_tagset_busy_iter" },
	{ 0x929158a3, "nvme_stop_ctrl" },
	{ 0x5d77e924, "dma_unmap_sg_attrs" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x6dea2897, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x2f2ce33e, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x4cf0c895, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5853cfda, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbdfdee9e, "__nvme_check_ready" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x23d73123, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfc2a82c7, "nvme_add_ctrl" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "837806316F0ED06192F0363");
MODULE_INFO(rhelversion, "9.6");
