#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x4529f1cb, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xd1ef3a46, "_gpl");
SYMBOL_CRC(sas_free_task, 0x58928c86, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x2f013eb6, "");
SYMBOL_CRC(sas_resume_ha, 0x2c17a44b, "");
SYMBOL_CRC(sas_suspend_ha, 0x18c9d99b, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x61cf7382, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x9000a7d6, "_gpl");
SYMBOL_CRC(sas_register_ha, 0xdac9b142, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x8a186a20, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xbf401d88, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x39f65ff2, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xcdc5bc26, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x819794a1, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xb4aeac4c, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x8876264f, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x3c4f9533, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x69089673, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x05ad1a2a, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xa0a9f078, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xea2facd7, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x0bd42b6f, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x53b2b14b, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x04686552, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xa84b67c2, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x8300fcef, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x745e3c03, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xec420a87, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xe015dfcb, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xa3cf1641, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a4b9736, "ata_qc_complete" },
	{ 0xb41e99a7, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x11a1c0c7, "sas_rphy_remove" },
	{ 0xfc9c1808, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x1472b565, "ata_sas_port_destroy" },
	{ 0x23a8b6d6, "bsg_job_done" },
	{ 0xfdca1e8, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x13407b58, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xee26b8f1, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x5894250f, "finish_wait" },
	{ 0x9b5ba4cf, "scsi_schedule_eh" },
	{ 0xfc5a6c7e, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xfc0798c0, "ata_host_init" },
	{ 0xce87bd96, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4d1e73, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xb0b1b2f6, "sas_port_get_phy" },
	{ 0x4653ff2a, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0xe0d47983, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x91651f4, "kmem_cache_create" },
	{ 0x24314af1, "get_device" },
	{ 0x80fa7c65, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xbc301c9f, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x29e65568, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2498e4d, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x8f1a1edd, "kmem_cache_alloc" },
	{ 0xfab80cb1, "_dev_info" },
	{ 0xbe5d33d0, "sas_phy_free" },
	{ 0xf9fe605c, "scsi_eh_finish_cmd" },
	{ 0xa5c2297c, "ata_sas_port_alloc" },
	{ 0x80368736, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x5e5a727a, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x10f10c1d, "sas_port_mark_backlink" },
	{ 0x8ebfb8b6, "kmem_cache_free" },
	{ 0xfb0228af, "ata_std_qc_defer" },
	{ 0xfa15d225, "ata_sas_port_start" },
	{ 0x5d57ba48, "ata_scsi_port_error_handler" },
	{ 0xe1d45f97, "ata_change_queue_depth" },
	{ 0xe78dde1e, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xca62daa1, "sas_end_device_alloc" },
	{ 0x26c842f4, "mutex_lock_interruptible" },
	{ 0xb92b3086, "sas_read_port_mode_page" },
	{ 0xe0d34514, "sas_expander_alloc" },
	{ 0xde43b7d8, "ata_sas_port_stop" },
	{ 0xc387d924, "_dev_warn" },
	{ 0x46665c8, "sas_rphy_delete" },
	{ 0x87bdac29, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x7982b26d, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xa6769bd9, "scsi_host_busy" },
	{ 0x3d2fb993, "ata_sas_async_probe" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x455ec045, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46eeba7e, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd3b4f0a4, "ata_sas_port_suspend" },
	{ 0xa9a25cbc, "sas_rphy_add" },
	{ 0x80bfe716, "sas_port_delete_phy" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x55b6e559, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x36df8d27, "sas_port_add_phy" },
	{ 0x4ff2f707, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x384b1e23, "scsi_unblock_requests" },
	{ 0x668e1aa5, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xa33f307c, "ata_host_put" },
	{ 0x49ca7b38, "sas_port_free" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x330fab99, "ata_std_sched_eh" },
	{ 0x4d5f602d, "scsi_block_requests" },
	{ 0x11089b08, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0x35b45d4e, "sas_remove_children" },
	{ 0x51baa91e, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xce081af1, "ata_port_wait_eh" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x1774ae63, "kmem_cache_destroy" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.6");
