#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x6878e0c7, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x3468b5a2, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xf7654f76, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0xe5268aa7, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x08cb29c2, "");
SYMBOL_CRC(sdw_show_ping_status, 0xce8385fc, "");
SYMBOL_CRC(sdw_nread_no_pm, 0xeecc36b7, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x9f759c89, "");
SYMBOL_CRC(sdw_write_no_pm, 0x4cd94747, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xd0006caf, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xa457960d, "");
SYMBOL_CRC(sdw_read_no_pm, 0x4fc6b36c, "");
SYMBOL_CRC(sdw_update_no_pm, 0x5386e9fe, "");
SYMBOL_CRC(sdw_update, 0xfb53c6d1, "");
SYMBOL_CRC(sdw_nread, 0x799696ba, "");
SYMBOL_CRC(sdw_nwrite, 0xf9e82e08, "");
SYMBOL_CRC(sdw_read, 0x5ea8945d, "");
SYMBOL_CRC(sdw_write, 0x4e75b176, "");
SYMBOL_CRC(sdw_compare_devid, 0x631f334d, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x20f36df2, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x13230c98, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x06d59ce5, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xc473d95d, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x8b2305d1, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x5ec078d7, "");
SYMBOL_CRC(sdw_slave_add, 0xa4119ba3, "");
SYMBOL_CRC(sdw_master_read_prop, 0xa5dff793, "");
SYMBOL_CRC(sdw_slave_read_prop, 0xf8eb3291, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0x945dbdf3, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x61d53aed, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x5ace6e67, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0xad86c67b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1f6a41c6, "debugfs_create_str" },
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0xa90428b0, "device_property_present" },
	{ 0xcd5c6b36, "devm_device_add_groups" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe8c6e62d, "is_acpi_device_node" },
	{ 0x396c1bdd, "simple_attr_open" },
	{ 0x813da443, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x80db7a7b, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x224100b5, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9b3864e8, "device_unregister" },
	{ 0xba7bb738, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0xbc9ebce5, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xfc5a6c7e, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1fbe7dc, "seq_lseek" },
	{ 0x8553a157, "dev_pm_domain_attach" },
	{ 0x1096c5fb, "devm_device_add_group" },
	{ 0xdc08906b, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd18eed39, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x23185ce1, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb83f67ef, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29e65568, "put_device" },
	{ 0xe6ca8c9f, "pm_runtime_enable" },
	{ 0xc1c7d896, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6d9c67d6, "fwnode_property_read_u32_array" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x436e044, "dev_pm_domain_detach" },
	{ 0xff929ff2, "pm_generic_runtime_suspend" },
	{ 0x49cd4323, "debugfs_attr_read" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1b19ced0, "bus_unregister" },
	{ 0x77bb4606, "_dev_err" },
	{ 0xa309239d, "simple_attr_release" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x9da636c1, "debugfs_remove" },
	{ 0x52690ea, "ida_free" },
	{ 0x2f1d30e9, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x46e72ce3, "device_register" },
	{ 0xb733535b, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xc387d924, "_dev_warn" },
	{ 0x59c19680, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf310ad7f, "devm_kasprintf" },
	{ 0xb8db592d, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9994f3e4, "fwnode_property_present" },
	{ 0x1d16c33d, "debugfs_create_file" },
	{ 0x95004cc1, "__pm_runtime_resume" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0x656842c3, "device_get_named_child_node" },
	{ 0x54cbb612, "seq_printf" },
	{ 0xd3dbfe0b, "irq_create_mapping_affinity" },
	{ 0x9be89747, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xa68f98f7, "acpi_dev_for_each_child" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0xccde454f, "__pm_runtime_suspend" },
	{ 0x6687e95a, "irq_set_chip" },
	{ 0xd93cd494, "__pm_runtime_use_autosuspend" },
	{ 0x28a87d0, "single_open" },
	{ 0xaf14098, "__pm_runtime_disable" },
	{ 0xf4557307, "debugfs_create_dir" },
	{ 0xc078f813, "driver_register" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0xaf0bb621, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0xc25255c3, "bus_register" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DF7AD7DD390B1F51ACFC414");
MODULE_INFO(rhelversion, "9.6");
