#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0xb7cbb130, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x0603e6a7, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x941e9bdf, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0xc9d56333, "_gpl");
SYMBOL_CRC(ucsi_resume, 0xfac085c3, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x7eb7079b, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x0c282973, "_gpl");
SYMBOL_CRC(ucsi_create, 0x459d03f9, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0xf1b54d8b, "_gpl");
SYMBOL_CRC(ucsi_register, 0x4a3c817a, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x190102e0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0x47bfaf7, "typec_partner_set_pd_revision" },
	{ 0x396c1bdd, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa10480d8, "typec_register_partner" },
	{ 0xb3546b4f, "typec_port_set_usb_power_delivery" },
	{ 0x813da443, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd0e8ed90, "typec_port_register_altmode" },
	{ 0xbbbadec5, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8947ad0c, "trace_raw_output_prep" },
	{ 0xb7d761d3, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0xd46f8f31, "trace_event_printf" },
	{ 0x2f4711db, "trace_event_raw_init" },
	{ 0x54fe6379, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0xe1fbe7dc, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x24899d5f, "bpf_trace_run2" },
	{ 0xee2bfc53, "event_triggers_call" },
	{ 0xe4418445, "typec_set_mode" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd18eed39, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf46782bb, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb31e76ef, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xa74a062d, "trace_event_ignore_this_pid" },
	{ 0xa8bbd657, "typec_partner_register_altmode" },
	{ 0x7203859f, "typec_partner_set_num_altmodes" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd04143f5, "typec_unregister_partner" },
	{ 0xfdc3b914, "typec_set_pwr_opmode" },
	{ 0x3994c127, "typec_cable_set_identity" },
	{ 0x49cd4323, "debugfs_attr_read" },
	{ 0x114fe478, "typec_unregister_cable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4cf99a17, "perf_trace_run_bpf_submit" },
	{ 0x77bb4606, "_dev_err" },
	{ 0x5181cbae, "typec_altmode_update_active" },
	{ 0x25a98658, "device_property_read_u8_array" },
	{ 0xa309239d, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xb2e0b98d, "usb_power_delivery_register_capabilities" },
	{ 0x138a9d5e, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x9da636c1, "debugfs_remove" },
	{ 0x1f1f08d1, "usb_power_delivery_unregister" },
	{ 0xbb39ce87, "trace_event_reg" },
	{ 0x6e44eb48, "typec_set_data_role" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xcebe557, "typec_unregister_port" },
	{ 0x8a7906b0, "power_supply_get_drvdata" },
	{ 0xc387d924, "_dev_warn" },
	{ 0x6cee5482, "typec_register_port" },
	{ 0x808663b8, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd524335b, "typec_partner_set_usb_power_delivery" },
	{ 0xd60b24ad, "power_supply_changed" },
	{ 0xf792e9c6, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x11868011, "typec_plug_register_altmode" },
	{ 0xf310ad7f, "devm_kasprintf" },
	{ 0xb8db592d, "seq_read" },
	{ 0x1d16c33d, "debugfs_create_file" },
	{ 0xeb3c444e, "trace_event_buffer_reserve" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x140cfd3f, "typec_unregister_altmode" },
	{ 0x3cbb8f26, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x54cbb612, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf9b4b71b, "usb_power_delivery_unregister_capabilities" },
	{ 0x74029770, "typec_get_drvdata" },
	{ 0xbca5ca, "typec_partner_set_identity" },
	{ 0xec184679, "power_supply_unregister" },
	{ 0x9be89747, "single_release" },
	{ 0x3298853f, "typec_set_pwr_role" },
	{ 0x89d141df, "typec_partner_usb_power_delivery_register" },
	{ 0x4fc9a1b0, "dev_err_probe" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x1a7f50a2, "usb_debug_root" },
	{ 0xc999bc5, "device_get_next_child_node" },
	{ 0x28a87d0, "single_open" },
	{ 0xf4557307, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7fae8188, "__dev_fwnode" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "46260D74E018D4EF5195BF1");
MODULE_INFO(rhelversion, "9.6");
