#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0x1bd90762, "");
SYMBOL_CRC(__vdpa_alloc_device, 0x7602f1d9, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x0778260f, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x143d3547, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x15224a13, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0x68ff4a9f, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0x7715e868, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x55d5fb15, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0xca7020ff, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x79c11482, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0xeaa5f14b, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0xbb9a1817, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29e65568, "put_device" },
	{ 0x9b3864e8, "device_unregister" },
	{ 0xc078f813, "driver_register" },
	{ 0x2f1d30e9, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x186d7097, "bus_for_each_dev" },
	{ 0x85eb0e59, "down_read" },
	{ 0x513d9025, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4d89df3d, "genl_unregister_family" },
	{ 0x1b19ced0, "bus_unregister" },
	{ 0x8004ba65, "ida_destroy" },
	{ 0xc25255c3, "bus_register" },
	{ 0xd481b1, "genl_register_family" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf00a075f, "nla_put" },
	{ 0x815a9b8a, "dma_set_mask" },
	{ 0x7e017633, "dma_set_coherent_mask" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0x224100b5, "dev_set_name" },
	{ 0xe71844e0, "__init_rwsem" },
	{ 0xad2b8a57, "device_initialize" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x62a94386, "netlink_capable" },
	{ 0x39d948ec, "__alloc_skb" },
	{ 0xcf6eb1bf, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0x4036da25, "sk_skb_reason_drop" },
	{ 0xea903590, "netlink_unicast" },
	{ 0xd5d1b88a, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x640c6fc7, "down_write" },
	{ 0x3d6b844e, "up_write" },
	{ 0x52690ea, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x59b281de, "driver_set_override" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xe757210f, "bus_find_device" },
	{ 0xb8192e7d, "device_add" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");
MODULE_INFO(rhelversion, "9.6");
