#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0xfdddd3d0, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x323b357b, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x163f1be1, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xf54d040b, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0xbd6152cc, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x24edb009, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x3d762283, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0xe15afb27, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x6a4de5ed, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x68e9a9f3, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0xdc05e886, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0x8b5b3338, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x421e7ae8, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xaa2e5fb8, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x36571c97, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x7c552cfa, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xe2e08af2, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x055794bb, "");
SYMBOL_CRC(vhost_chr_poll, 0x7386b065, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x4fc78482, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xd5aa1d5e, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xb5f3a06a, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xfec66ff0, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x6a9a9671, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x70df365d, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x132d0155, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x48289c69, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0xc6ee1966, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x95a01548, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0xe3f9780a, "_gpl");
SYMBOL_CRC(vhost_add_used, 0xf2342847, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x30dab57e, "_gpl");
SYMBOL_CRC(vhost_signal, 0xe53a0926, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x9fd01446, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x58480395, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0xb551fa67, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x653c31b4, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0xa83d64a2, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0xce2a7d13, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x74eb28a0, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x17bb9a5d, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x2feace7b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x99467693, "add_wait_queue" },
	{ 0x21995910, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0x5afe889c, "cgroup_attach_task_all" },
	{ 0x995b8b8f, "mmput" },
	{ 0xda4623f8, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xe0d47983, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5d85536, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x23d30ebb, "unpin_user_pages_dirty_lock" },
	{ 0xc07b220b, "pin_user_pages_fast" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x1f2325bb, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1000e51, "schedule" },
	{ 0xea330758, "kthread_unuse_mm" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa4aa377, "fput" },
	{ 0xd19c05bb, "kthread_stop" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x830e935c, "iov_iter_init" },
	{ 0x3362b93, "_copy_from_iter" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa68f2483, "iov_iter_revert" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x5b11a8e8, "_copy_to_iter" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xcac29415, "prepare_to_wait" },
	{ 0x5894250f, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa75d4ff6, "get_task_mm" },
	{ 0xa48d945b, "kthread_create_on_node" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x9ba97ce, "iov_iter_advance" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa9f30406, "eventfd_fget" },
	{ 0x5de4c26, "param_ops_int" },
	{ 0xa03fe98c, "param_ops_ushort" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.6");
