#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x647d6170, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0x9cbae8d7, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0x227592ce, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x3326a7e5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2292887e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe71844e0, "__init_rwsem" },
	{ 0xe20e55f2, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7e7c0cd2, "config_group_init" },
	{ 0x5818b6a2, "idr_find" },
	{ 0x3f0a974e, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2f035890, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xee7a172, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x5894250f, "finish_wait" },
	{ 0xad36c871, "config_item_get" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x32f7e8b8, "kernel_bind" },
	{ 0xcf6eb1bf, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe31121f9, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x143ce090, "kset_unregister" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0xe1fbe7dc, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf91c4e9b, "kernel_kobj" },
	{ 0x99467693, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2c8321a8, "__tracepoint_sk_data_ready" },
	{ 0xdeccf209, "call_srcu" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe0d47983, "__wake_up" },
	{ 0xf71dc29e, "synchronize_srcu" },
	{ 0xde9bc10, "kernel_accept" },
	{ 0xd394380b, "kernel_recvmsg" },
	{ 0x91651f4, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4fdd715c, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa6461fe4, "configfs_unregister_subsystem" },
	{ 0x5d85536, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd680c50a, "locks_lock_inode_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xf7904e7f, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x39d948ec, "__alloc_skb" },
	{ 0xa18efec2, "locks_init_lock" },
	{ 0xd0ca793e, "kernel_sendpage" },
	{ 0xb8c34fed, "idr_get_next" },
	{ 0x6e21afb0, "__free_pages" },
	{ 0x6ab7860b, "rt_write_unlock" },
	{ 0x8f1a1edd, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf379dc97, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x29671eb4, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x640c6fc7, "down_write" },
	{ 0xa5dcfe7c, "init_net" },
	{ 0x3d6b844e, "up_write" },
	{ 0x60eaecc0, "simple_open" },
	{ 0x83675787, "configfs_register_subsystem" },
	{ 0xcb62f037, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xff2d8eb5, "configfs_remove_default_groups" },
	{ 0x719545e2, "__srcu_read_lock" },
	{ 0x20298264, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4036da25, "sk_skb_reason_drop" },
	{ 0xea903590, "netlink_unicast" },
	{ 0xc21ae6d4, "noop_llseek" },
	{ 0x4d6fbe66, "__SCK__tp_func_sk_data_ready" },
	{ 0xa6dde725, "config_group_init_type_name" },
	{ 0xd3ddf05b, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x8ebfb8b6, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9da636c1, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x609057f2, "seq_putc" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1e046cc, "panic" },
	{ 0x388f1ebf, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x61ff4b0b, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd19c05bb, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb4ddddd2, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x86253027, "idr_destroy" },
	{ 0xaf0a08f1, "default_llseek" },
	{ 0xad6ea641, "sock_set_reuseaddr" },
	{ 0xfb578fc5, "memset" },
	{ 0x7d14798f, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0x85eb0e59, "down_read" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa48d945b, "kthread_create_on_node" },
	{ 0xb8db592d, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6561b437, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7a50793e, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1d16c33d, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0x910d7045, "config_item_init_type_name" },
	{ 0xceef65bf, "sock_create_kern" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x9206fc87, "alloc_pages" },
	{ 0x254dfa8c, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe5b68086, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54cbb612, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x91d56e47, "__srcu_read_unlock" },
	{ 0x898a6527, "rt_write_lock" },
	{ 0xb5032ef8, "kobject_uevent" },
	{ 0x16c1e84d, "sock_release" },
	{ 0x5088c9ac, "seq_puts" },
	{ 0x21995910, "remove_wait_queue" },
	{ 0x9be89747, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd4bba4c9, "tcp_sock_set_nodelay" },
	{ 0xbb6de6fe, "seq_open" },
	{ 0x4d89df3d, "genl_unregister_family" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x28a87d0, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf4557307, "debugfs_create_dir" },
	{ 0xd481b1, "genl_register_family" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x513d9025, "up_read" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x4282098d, "sock_bind_add" },
	{ 0xdf34e2bd, "locks_copy_lock" },
	{ 0x1774ae63, "kmem_cache_destroy" },
	{ 0x4d840476, "release_sock" },
	{ 0xaa8ec2dd, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x617e7ba4, "kobject_put" },
	{ 0x6c942088, "sock_set_keepalive" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9686C9FD92FB6E5873869D2");
MODULE_INFO(rhelversion, "9.6");
