#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xf0fb6ce4, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x352fe6d5, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x1ccc4736, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x34b0c25e, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xaf5d7171, "");
SYMBOL_CRC(fuse_abort_conn, 0x2146f578, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0xdac5bfce, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xee32e9f6, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xa84c5f19, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xd18ac302, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xc46f426d, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x21bdb347, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x0ccf368d, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x8fb11382, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xb76d1318, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x6a1a704b, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xcfdbecbb, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x5554bfdd, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x8f599f78, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xfb5e986d, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x1c9a979c, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x78101c9f, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xeae50398, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x21ee9fc0, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x8d5681f5, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xb9e7ab73, "");
SYMBOL_CRC(fuse_do_ioctl, 0xd9c5d8f6, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x56026d3c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbc673ff7, "super_setup_bdi_name" },
	{ 0xf49a5e68, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2ca611c9, "truncate_inode_pages" },
	{ 0x69728edd, "generic_copy_file_range" },
	{ 0x8c55bc59, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2ba9af0e, "pipe_lock" },
	{ 0x7cfa7ee5, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7fcb91d2, "vfs_fsync_range" },
	{ 0xd1e5af31, "setattr_prepare" },
	{ 0xea925961, "clear_nlink" },
	{ 0xcd3f4da8, "file_check_and_advance_wb_err" },
	{ 0xc4daa74a, "d_alloc_parallel" },
	{ 0xe71844e0, "__init_rwsem" },
	{ 0xb416d53b, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xe20e55f2, "misc_deregister" },
	{ 0xda0fa13c, "make_vfsgid" },
	{ 0x121aae05, "clear_inode" },
	{ 0xdffd0567, "inode_to_bdi" },
	{ 0x88f6374, "find_pid_ns" },
	{ 0xc00f40b1, "grab_cache_page_write_begin" },
	{ 0x34151c4b, "simple_dir_inode_operations" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe0acd065, "pipe_unlock" },
	{ 0x4eb9eb79, "fs_param_is_string" },
	{ 0x79aa21cf, "folio_unlock" },
	{ 0x52a6a7ee, "generic_file_splice_read" },
	{ 0xf5d24eb9, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0x4435d6d8, "filemap_map_pages" },
	{ 0x5c9c291c, "dump_page" },
	{ 0x3c42d198, "forget_all_cached_acls" },
	{ 0x7e510d1, "init_special_inode" },
	{ 0x6806f1dd, "unregister_filesystem" },
	{ 0x58a99786, "task_active_pid_ns" },
	{ 0xdc6b9a66, "iov_iter_single_seg_count" },
	{ 0xc4b7afae, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xcd36051a, "filemap_fdatawrite_range" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x5894250f, "finish_wait" },
	{ 0x1abe9c2e, "d_alloc_name" },
	{ 0x9503cf7e, "replace_page_cache_folio" },
	{ 0xf0b77ece, "inode_query_iversion" },
	{ 0x9ba97ce, "iov_iter_advance" },
	{ 0x5691ea4d, "kill_fasync" },
	{ 0xbf470c8, "d_make_root" },
	{ 0x9d058a79, "sb_set_blocksize" },
	{ 0xd2d97160, "fget" },
	{ 0x62fc0cc9, "simple_fill_super" },
	{ 0x312ba4e0, "xas_find" },
	{ 0x99c1c38d, "invalidate_mapping_pages" },
	{ 0x9407dfda, "sync_filesystem" },
	{ 0x7a17915b, "noop_dirty_folio" },
	{ 0x1c744443, "sget_fc" },
	{ 0x16a902fd, "param_set_uint" },
	{ 0x52735d03, "d_splice_alias" },
	{ 0x48c8638b, "iov_iter_get_pages2" },
	{ 0xf79f556c, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xef484ba9, "page_get_link" },
	{ 0xc288760a, "generic_permission" },
	{ 0x38bbb11, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x583fe13d, "invalidate_inode_pages2_range" },
	{ 0xe31121f9, "posix_lock_file" },
	{ 0x67a6f26b, "finish_open" },
	{ 0xf0806f20, "dax_iomap_rw" },
	{ 0x7d930555, "iput" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x69ef7118, "logfc" },
	{ 0xc7fff0aa, "__put_devmap_managed_page_refs" },
	{ 0xe7288ab9, "iter_file_splice_write" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0xfaa74cb5, "init_pid_ns" },
	{ 0xbf9d589f, "dax_iomap_fault" },
	{ 0x830e935c, "iov_iter_init" },
	{ 0xcc0d9e6c, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x1e86cd39, "sysfs_create_mount_point" },
	{ 0xf825a2fb, "generic_file_write_iter" },
	{ 0xe0d47983, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8dc54ed2, "register_filesystem" },
	{ 0x91651f4, "kmem_cache_create" },
	{ 0xd5ebba9a, "folio_add_lru" },
	{ 0xc816cdd6, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x618b7d80, "sync_inode_metadata" },
	{ 0x971f12a9, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x4fdd715c, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa83903f0, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67862264, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xeb13feb1, "get_tree_nodev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd680c50a, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x4c89d89a, "fs_param_is_u32" },
	{ 0x612f5e3a, "inode_newsize_ok" },
	{ 0x2ddd0919, "d_drop" },
	{ 0x6e5d61b1, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x76dc2efc, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xa5d4a469, "bdi_put" },
	{ 0xb9b1c4e1, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xdda2c471, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xd6e51cd5, "make_kuid" },
	{ 0x52ad8563, "truncate_inode_pages_final" },
	{ 0xdb77c995, "fs_kobj" },
	{ 0x4a6c4f76, "__filemap_set_wb_err" },
	{ 0xc3882dac, "simple_dir_operations" },
	{ 0x31d83d51, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x6e21afb0, "__free_pages" },
	{ 0x8f1a1edd, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xce63328, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x302d83eb, "setattr_should_drop_suidgid" },
	{ 0x46eb5699, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc19b5513, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x74c4b3eb, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x836581c8, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8f69368b, "inode_init_once" },
	{ 0x58e5d89e, "file_write_and_wait_range" },
	{ 0xa04bfc78, "compat_ptr_ioctl" },
	{ 0xa2408bde, "nosteal_pipe_buf_ops" },
	{ 0xa21f6354, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x876a4dfc, "inode_nohighmem" },
	{ 0xeb4bf08d, "release_pages" },
	{ 0xc9fd916c, "generic_file_direct_write" },
	{ 0x49608959, "migrate_disable" },
	{ 0xa4aa377, "fput" },
	{ 0x640c6fc7, "down_write" },
	{ 0x3d6b844e, "up_write" },
	{ 0xe54b618d, "generic_file_read_iter" },
	{ 0xec632a52, "inode_maybe_inc_iversion" },
	{ 0x6a7e1df4, "unlock_page" },
	{ 0xd438faf, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0x5484d9ff, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x60387735, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x23114a8, "dec_node_page_state" },
	{ 0x1b613165, "write_cache_pages" },
	{ 0xfa67bdc4, "file_update_time" },
	{ 0x6eefef03, "set_nlink" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x8ebfb8b6, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x2062bedb, "from_kgid" },
	{ 0xe0c26308, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xdef8148b, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x940042ce, "write_inode_now" },
	{ 0x6b5ce5da, "dax_writeback_mapping_range" },
	{ 0x4824de6f, "d_obtain_alias" },
	{ 0x5cc7a7c6, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x32fb1e8a, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x5afd5c80, "finish_no_open" },
	{ 0xd1751f9c, "__folio_start_writeback" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xc1e0994a, "kill_litter_super" },
	{ 0xa8da7f40, "folio_end_writeback" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3a26715e, "from_kuid" },
	{ 0x6b867f6e, "current_in_userns" },
	{ 0x4fc37073, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xfcc1b260, "sysfs_remove_mount_point" },
	{ 0x7d14798f, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0x201dbc74, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xc8efd280, "d_delete" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0x6779e6a1, "from_kgid_munged" },
	{ 0x6489089b, "end_page_writeback" },
	{ 0xa623f631, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x8aabd584, "kobject_create_and_add" },
	{ 0x85eb0e59, "down_read" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0xcffb626f, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2a119ad8, "nonseekable_open" },
	{ 0xfe2a6c51, "dax_finish_sync_fault" },
	{ 0x5a5034fe, "set_page_dirty" },
	{ 0x228e799b, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4fa8e2, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8f47266c, "noop_direct_IO" },
	{ 0x834d2264, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3787c7e, "generic_read_dir" },
	{ 0x85373bff, "d_add" },
	{ 0x431600dd, "set_page_writeback" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd7bf643, "init_user_ns" },
	{ 0x54ebfde9, "d_find_alias" },
	{ 0xb1c045e4, "invalidate_inode_pages2" },
	{ 0x9206fc87, "alloc_pages" },
	{ 0x84260b72, "inc_nlink" },
	{ 0x1f1d22d, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x876fd163, "get_tree_bdev" },
	{ 0xbcfad36, "set_anon_super_fc" },
	{ 0x54cbb612, "seq_printf" },
	{ 0x1ecee006, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x6fc5b68b, "generic_delete_inode" },
	{ 0xed5be21c, "deactivate_locked_super" },
	{ 0xc2cae658, "touch_atime" },
	{ 0xf7a465a2, "__percpu_down_read" },
	{ 0xb48e76fc, "__d_lookup_unhash_wake" },
	{ 0xef1054e0, "set_page_dirty_lock" },
	{ 0xc4f5ac6d, "pid_nr_ns" },
	{ 0xbdaba4c8, "generic_file_open" },
	{ 0xbf2ed238, "truncate_inode_pages_range" },
	{ 0xd96f0e5c, "__put_user_ns" },
	{ 0x258ccba1, "__folio_lock" },
	{ 0x3861ba9a, "filemap_dirty_folio" },
	{ 0xf805afd6, "pagecache_get_page" },
	{ 0x5088c9ac, "seq_puts" },
	{ 0x1829131, "stream_open" },
	{ 0xed8e588d, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xae68c902, "__wake_up_sync" },
	{ 0x61830205, "add_to_pipe" },
	{ 0x9f643b7f, "__fs_parse" },
	{ 0x83e3f73b, "dax_layout_busy_page_range" },
	{ 0x91eca5f5, "posix_acl_to_xattr" },
	{ 0xe72bc2af, "dget_parent" },
	{ 0x2e06ce69, "kill_anon_super" },
	{ 0xeb724f4, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x973aa407, "iget5_locked" },
	{ 0xaab61531, "security_dentry_init_security" },
	{ 0xf8269a61, "filemap_write_and_wait_range" },
	{ 0x4a660269, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x24ec52f9, "generic_write_checks" },
	{ 0xa68f2483, "iov_iter_revert" },
	{ 0xaf0fd853, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x68929c26, "mntget" },
	{ 0x69b52bcc, "kmem_cache_alloc_lru" },
	{ 0xd6e235ae, "filemap_fault" },
	{ 0x4fdbc5f0, "d_invalidate" },
	{ 0x50d676bd, "__mark_inode_dirty" },
	{ 0x7ee9db8b, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x513d9025, "up_read" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0xdf3dfc4a, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xfe32a7b7, "drop_nlink" },
	{ 0x40124e18, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x9eb0ed58, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x60061e67, "bdi_set_max_ratio" },
	{ 0x1774ae63, "kmem_cache_destroy" },
	{ 0x617e7ba4, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7D7FAEDDA764AC772D6F805");
MODULE_INFO(rhelversion, "9.6");
