#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0x69f1d89f, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0xc9adc576, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0xb90a034b, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x90ec54e5, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0xbbdc3aa4, "_gpl");
SYMBOL_CRC(lockd_up, 0xe6cdbff2, "_gpl");
SYMBOL_CRC(lockd_down, 0xc45ea165, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0xbbbf043a, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x77e35ccc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf8540d9, "rpc_put_task" },
	{ 0xd184ad29, "svc_generic_rpcbind_set" },
	{ 0x8d2e6688, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe71844e0, "__init_rwsem" },
	{ 0x78119835, "bpf_trace_run4" },
	{ 0xccc56838, "param_ops_uint" },
	{ 0xb43837ce, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7a4701bd, "rpc_shutdown_client" },
	{ 0x80499ad9, "svc_bind" },
	{ 0xe266ff95, "proc_create" },
	{ 0xa2b79405, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x409968d5, "xdr_inline_decode" },
	{ 0x8947ad0c, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x5894250f, "finish_wait" },
	{ 0xd46f8f31, "trace_event_printf" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xcac29415, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2f4711db, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf75b76ba, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xe440b944, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xab31caa3, "svc_exit_thread" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xee2bfc53, "event_triggers_call" },
	{ 0xe0d47983, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x194c86b2, "param_get_ulong" },
	{ 0xb3b2838a, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2b18570e, "__put_cred" },
	{ 0xdbd3df12, "register_pernet_subsys" },
	{ 0x95769d7d, "locks_in_grace" },
	{ 0x5d85536, "wake_up_process" },
	{ 0xf46782bb, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2743ef48, "proc_dobool" },
	{ 0xd680c50a, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xcbe120d7, "unregister_sysctl_table" },
	{ 0xa74a062d, "trace_event_ignore_this_pid" },
	{ 0xbd1cffdd, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xa18efec2, "locks_init_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc1cf9259, "simple_transaction_release" },
	{ 0xc250d20c, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4258a72f, "svc_age_temp_xprts_now" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4cf99a17, "perf_trace_run_bpf_submit" },
	{ 0x640c6fc7, "down_write" },
	{ 0xa5dcfe7c, "init_net" },
	{ 0x3d6b844e, "up_write" },
	{ 0xbe7b401d, "svc_set_num_threads" },
	{ 0x4fd2c981, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x7243be6b, "vfs_cancel_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1cf4ec25, "proc_doulongvec_minmax" },
	{ 0xbb39ce87, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xa84a1fa9, "freezing_slow_path" },
	{ 0xfcedfd1c, "rpc_create" },
	{ 0xb042802b, "svc_destroy" },
	{ 0x95c5d5b2, "rpc_call_start" },
	{ 0xc2b9dce1, "svc_create" },
	{ 0xaf0a08f1, "default_llseek" },
	{ 0x5b7c8b41, "rpc_call_sync" },
	{ 0x325128a6, "proc_mkdir" },
	{ 0x708957b, "unregister_pernet_subsys" },
	{ 0x887a643c, "vfs_lock_file" },
	{ 0x88dc8e85, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0xaf4e92d0, "svc_generic_init_request" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0x85eb0e59, "down_read" },
	{ 0xc65d27ba, "svc_set_client" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x91cfe793, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa48d945b, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x683975b8, "rpc_force_rebind" },
	{ 0xeb3c444e, "trace_event_buffer_reserve" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb8b78e18, "param_ops_bool" },
	{ 0x2f73455d, "rpc_restart_call" },
	{ 0x685790fe, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x39fb80ab, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3741a33d, "svc_find_xprt" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xcc618285, "proc_dointvec" },
	{ 0xf90cac80, "svc_print_addr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0xc7e9648c, "locks_delete_block" },
	{ 0x754d539c, "strlen" },
	{ 0x1092ca7d, "locks_start_grace" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0xe9e9cb0f, "param_get_int" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x513d9025, "up_read" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0xe23c8bf9, "svc_xprt_create" },
	{ 0x7b5c8363, "rpc_wait_for_completion_task" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0xdf34e2bd, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7d6e70c8, "proc_dointvec_minmax" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "B2433ABB3770CFD41D926C7");
MODULE_INFO(rhelversion, "9.6");
