#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x4f64891e, "");
SYMBOL_CRC(bt_sock_register, 0xea88008c, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x16de8d5e, "");
SYMBOL_CRC(bt_sock_link, 0xbaebbc66, "");
SYMBOL_CRC(bt_sock_unlink, 0x122e35cd, "");
SYMBOL_CRC(bt_sock_linked, 0xae683060, "");
SYMBOL_CRC(bt_accept_enqueue, 0xe8a737e4, "");
SYMBOL_CRC(bt_accept_unlink, 0xfab44f58, "");
SYMBOL_CRC(bt_accept_dequeue, 0x8f92d037, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x1db93742, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x9cad2297, "");
SYMBOL_CRC(bt_sock_poll, 0x5295f962, "");
SYMBOL_CRC(bt_sock_ioctl, 0xc808721a, "");
SYMBOL_CRC(bt_sock_wait_state, 0xa7a601ab, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x776ffe48, "");
SYMBOL_CRC(bt_procfs_init, 0x0a297f88, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x21fca715, "");
SYMBOL_CRC(bt_debugfs, 0x954dda0f, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x727c6444, "");
SYMBOL_CRC(hci_free_dev, 0xe0f19935, "");
SYMBOL_CRC(hci_register_dev, 0x2642fb11, "");
SYMBOL_CRC(hci_unregister_dev, 0xb1cf8d76, "");
SYMBOL_CRC(hci_release_dev, 0x67584697, "");
SYMBOL_CRC(hci_suspend_dev, 0xcac856a2, "");
SYMBOL_CRC(hci_resume_dev, 0xb1d60a49, "");
SYMBOL_CRC(hci_reset_dev, 0xa1287207, "");
SYMBOL_CRC(hci_recv_frame, 0xfd9bce95, "");
SYMBOL_CRC(hci_recv_diag, 0x130ac60d, "");
SYMBOL_CRC(hci_set_hw_info, 0x71652d84, "");
SYMBOL_CRC(hci_set_fw_info, 0xbb93a0f1, "");
SYMBOL_CRC(hci_register_cb, 0x535d4672, "");
SYMBOL_CRC(hci_unregister_cb, 0xb8751ba8, "");
SYMBOL_CRC(__hci_cmd_send, 0xa3f2dd64, "");
SYMBOL_CRC(hci_get_route, 0xfe0a3848, "");
SYMBOL_CRC(hci_conn_security, 0x89e7b62a, "");
SYMBOL_CRC(hci_conn_check_secure, 0xf14aac11, "");
SYMBOL_CRC(hci_conn_switch_role, 0x5e320900, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0xdaef384d, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x3d37165d, "");
SYMBOL_CRC(l2cap_add_psm, 0x8cb867e9, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xa92a6e37, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x97a28a65, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x8af71624, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xac038a56, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xe52a0aff, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x0616d90a, "");
SYMBOL_CRC(l2cap_register_user, 0x517a8653, "");
SYMBOL_CRC(l2cap_unregister_user, 0x98ca87da, "");
SYMBOL_CRC(l2cap_conn_get, 0x2f46af36, "");
SYMBOL_CRC(l2cap_conn_put, 0xc1ef40a7, "");
SYMBOL_CRC(l2cap_chan_send, 0xeb0420c7, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x16050b17, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x3b99c229, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x1e2c1288, "");
SYMBOL_CRC(__hci_cmd_sync, 0xc607727e, "");
SYMBOL_CRC(hci_cmd_sync, 0x10cdd55f, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xbce73009, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x39077a7c, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x4224b165, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x18636937, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x3972291e, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x7b1409a7, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x0838b483, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x9c1deeb7, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xdc3337c6, "");
SYMBOL_CRC(hci_cmd_sync_run, 0xee148cfe, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x0a27128d, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x7cbc3f02, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xdf6c5818, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x876c7d03, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x0f7df4a2, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x5da5240d, "");
SYMBOL_CRC(hci_devcd_init, 0x61bb580d, "");
SYMBOL_CRC(hci_devcd_append, 0x62d5d18a, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xc0e705eb, "");
SYMBOL_CRC(hci_devcd_complete, 0x7c8cc2f2, "");
SYMBOL_CRC(hci_devcd_abort, 0x34807696, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xaa25c8ab, "skb_free_datagram" },
	{ 0x3135fb23, "sock_queue_rcv_skb_reason" },
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0x2292887e, "try_module_get" },
	{ 0x5dfb1c0e, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x396c1bdd, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x8004ba65, "ida_destroy" },
	{ 0x5818b6a2, "idr_find" },
	{ 0x813da443, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x5311409, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x224100b5, "dev_set_name" },
	{ 0x54752519, "scm_detach_fds" },
	{ 0x8e7eef92, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x9b3864e8, "device_unregister" },
	{ 0x52cd9bc1, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x98874e38, "debugfs_create_u16" },
	{ 0x5894250f, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x323b6bb0, "add_wait_queue_exclusive" },
	{ 0xad2b8a57, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0xe1fbe7dc, "seq_lseek" },
	{ 0x99467693, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xfd6fafde, "sock_no_connect" },
	{ 0xb1fff4c0, "prepare_to_wait_event" },
	{ 0xf1442ed9, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xe0d47983, "__wake_up" },
	{ 0x34cae653, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x24314af1, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xa13cbc4f, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2b18570e, "__put_cred" },
	{ 0x1d993426, "put_cmsg" },
	{ 0x96d14eb3, "skb_queue_purge_reason" },
	{ 0x178c2d60, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5b64dc4, "disable_delayed_work" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x3352ff7c, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x2f983b3e, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x499a1195, "sock_register" },
	{ 0xf1ce35f5, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x29e65568, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x39d948ec, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb8c34fed, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x6ab7860b, "rt_write_unlock" },
	{ 0xe3671eaf, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbfb06b72, "skb_queue_tail" },
	{ 0xf379dc97, "module_put" },
	{ 0xef9a6739, "__sock_recv_ts_and_drops" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x29671eb4, "idr_remove" },
	{ 0x49cd4323, "debugfs_attr_read" },
	{ 0x688cb536, "__sock_recv_timestamp" },
	{ 0xbb5850de, "sock_no_shutdown" },
	{ 0x56968e7, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x938088dc, "crypto_req_done" },
	{ 0xa5dcfe7c, "init_net" },
	{ 0xa2d61b4a, "crypto_shash_setkey" },
	{ 0x60eaecc0, "simple_open" },
	{ 0x2bdacc16, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8192e7d, "device_add" },
	{ 0xcb62f037, "idr_alloc" },
	{ 0xa309239d, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb35415d3, "init_uts_ns" },
	{ 0x4036da25, "sk_skb_reason_drop" },
	{ 0x116d660, "sk_free" },
	{ 0xb4158ad4, "device_move" },
	{ 0x20070490, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x399709dc, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x771c8a94, "sock_no_listen" },
	{ 0x9da636c1, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x609057f2, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xeb68571b, "iov_iter_kvec" },
	{ 0x52690ea, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0xc509f4c6, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x61ff4b0b, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa4a19975, "device_find_child" },
	{ 0x35f16f1d, "dev_coredumpv" },
	{ 0x9f4c88fc, "skb_copy_datagram_iter" },
	{ 0x2400b5bf, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x5f7b24cf, "sk_alloc" },
	{ 0x37a3a67, "device_del" },
	{ 0x9d58a7bb, "__sock_queue_rcv_skb" },
	{ 0x86253027, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaf0a08f1, "default_llseek" },
	{ 0xd65f4aaa, "__sock_recv_wifi_status" },
	{ 0x3a26715e, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x3d1d01cc, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd15389d2, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x45e12ae2, "sock_no_mmap" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x33e2ba49, "__pskb_pull_tail" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0x957b0b65, "__scm_destroy" },
	{ 0x6779e6a1, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xd5d1b88a, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0xac761f6, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb8db592d, "seq_read" },
	{ 0x7a50793e, "rt_read_lock" },
	{ 0xcbb54445, "sock_i_ino" },
	{ 0x1d16c33d, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x90de22a5, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb8b78e18, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x8f827dde, "skb_recv_datagram" },
	{ 0xe6022ead, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe5b68086, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x39fb80ab, "remove_proc_entry" },
	{ 0x2c927c29, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54cbb612, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa2f83603, "skb_copy" },
	{ 0xaae7ca4b, "skb_clone" },
	{ 0x898a6527, "rt_write_lock" },
	{ 0x3362b93, "_copy_from_iter" },
	{ 0xe3ebe9aa, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x21995910, "remove_wait_queue" },
	{ 0x5088c9ac, "seq_puts" },
	{ 0x3ff37f9e, "sock_gettstamp" },
	{ 0x9be89747, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8972d125, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x32768431, "disable_delayed_work_sync" },
	{ 0xeb724f4, "from_kuid_munged" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xa68f2483, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x67b95e96, "proc_create_seq_private" },
	{ 0x508ac4e6, "debugfs_create_u8" },
	{ 0x28a87d0, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xa835f0fe, "crypto_alloc_shash" },
	{ 0xf4557307, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x1fe58530, "fwnode_property_read_u8_array" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0x116a8551, "put_pid" },
	{ 0x5853cfda, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4b683b56, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7fae8188, "__dev_fwnode" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4d840476, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeb7a334a, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "5880F8254D66A61830D7FD1");
MODULE_INFO(rhelversion, "9.6");
