#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x866c0ed3, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x0b2b54fc, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xa3ae197e, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xfbe7ff25, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x15de9473, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x12e17c77, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x9a5f4483, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xa3ddf5d1, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x1c2f9d4f, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x53ce523c, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x854378d6, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xd6a866bf, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x23240911, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x8149b262, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x633c67ca, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x34f4ef8f, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x75070c54, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xff0f46b6, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xae855e1b, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xc7642287, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xd88f3169, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x213160b7, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xba286c0f, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xc05b123f, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x28d02d6b, "_gpl");
SYMBOL_CRC(print_tuple, 0x95d2b76b, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xcc292987, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xdf1b2311, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xf6754dad, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xac80debf, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x52db0556, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x430cc871, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x7a625168, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x5e1e79a5, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x655db612, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xe93b3018, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xe9da8e71, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x60df4e14, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xc39d3fa5, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x514fc848, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x1b9f1eb9, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x4147b343, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x638b8b32, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xff4dbb9c, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x984853c9, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x993beeb3, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x7a32b3c0, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xf95734e7, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x20731144, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x42033a0a, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x3243f059, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x06bf5c03, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x76ec6743, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xbfeb6ff8, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xe8760965, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x60fb0554, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xdbba78b2, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0x579b77a9, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x40bf7c25, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x93e12c1d, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x2a147044, "_gpl");
SYMBOL_CRC(nf_confirm, 0x6a1be04d, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xa2cfda88, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xbe646614, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xd8bfe1c0, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x2526d615, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x3058900f, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x57e0beac, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x4a8bfc69, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x7a48de90, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x8318f7ec, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x5afbfbef, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x15bdeea2, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x94fd9165, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x5d111ac0, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x32afe87e, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x395e8d19, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xd28ba0bb, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x23ef5259, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xff3d4fed, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x067d1091, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xb2850a24, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x6589db30, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x1866f481, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x8ee9ef78, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xde3a8072, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xaf0c300b, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x31baa758, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x5df340c5, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x2cc7c3c3, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x6da5b017, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f5d9e9f, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x2292887e, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4031002d, "nf_defrag_ipv4_disable" },
	{ 0xa3e67930, "nf_ip6_checksum" },
	{ 0x1f7eb81a, "proc_dou8vec_minmax" },
	{ 0xcf1fc2bd, "skb_copy_bits" },
	{ 0xccc56838, "param_ops_uint" },
	{ 0x3437f777, "proc_dointvec_jiffies" },
	{ 0x9578d7ea, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe2bafd85, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x3ef0f82a, "nfct_btf_struct_access" },
	{ 0x16a902fd, "param_set_uint" },
	{ 0x56bb47e9, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x766480e, "nf_ct_frag6_gather" },
	{ 0xb6a3f7df, "get_net_ns_by_id" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x91651f4, "kmem_cache_create" },
	{ 0x7e694eec, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3a2ca136, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xdbd3df12, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xeb6a48fc, "nf_unregister_sockopt" },
	{ 0xdda2c471, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd6e51cd5, "make_kuid" },
	{ 0x1f74f1e0, "nf_defrag_ipv6_disable" },
	{ 0xec9eb0ce, "ipv6_skip_exthdr" },
	{ 0x2d6988f6, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x8f1a1edd, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xf379dc97, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf1e61c13, "nf_checksum" },
	{ 0xa63975d6, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa5dcfe7c, "init_net" },
	{ 0x96915ffc, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4036da25, "sk_skb_reason_drop" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x8ebfb8b6, "kmem_cache_free" },
	{ 0x609057f2, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf134a09, "nf_checksum_partial" },
	{ 0x4b952e0e, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xd3dd999f, "nf_unregister_net_hooks" },
	{ 0x61ff4b0b, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x708957b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xbbb21da3, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcfd75092, "nf_log_packet" },
	{ 0x201dbc74, "make_kgid" },
	{ 0x2d41f8fa, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xe909c409, "register_btf_kfunc_id_set" },
	{ 0x47848731, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x85eb0e59, "down_read" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0xe42ca8cd, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1e368619, "__skb_checksum" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x71b4085a, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb8b78e18, "param_ops_bool" },
	{ 0xf5b322f0, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x39fb80ab, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54cbb612, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb58b3cbc, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xcc618285, "proc_dointvec" },
	{ 0x5088c9ac, "seq_puts" },
	{ 0x311476, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x8dbced24, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x21fd828e, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x47536049, "pskb_trim_rcsum_slow" },
	{ 0x513d9025, "up_read" },
	{ 0x956a690a, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1774ae63, "kmem_cache_destroy" },
	{ 0x4d840476, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "0DA85C06403759E7A5359CC");
MODULE_INFO(rhelversion, "9.6");
