#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0xbb497bf5, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0xcf84f680, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0xb298398b, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0xb47ed7c8, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0xc63d7060, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x8c2838f9, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x6bb28ba7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2b54fc, "nf_conntrack_expect_lock" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0xf6754dad, "nf_ct_remove_expect" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xff0f46b6, "__nf_ct_refresh_acct" },
	{ 0x33e2ba49, "__pskb_pull_tail" },
	{ 0xcf1fc2bd, "skb_copy_bits" },
	{ 0x5e1e79a5, "nf_ct_expect_alloc" },
	{ 0x655db612, "nf_ct_expect_init" },
	{ 0xe93b3018, "nf_ct_expect_put" },
	{ 0xe9da8e71, "nf_ct_expect_related_report" },
	{ 0xac80debf, "__nf_ct_expect_find" },
	{ 0x5546d464, "nf_ipv6_ops" },
	{ 0xa92d614e, "dst_release" },
	{ 0x89f8ea5a, "nf_ip_route" },
	{ 0x7a625168, "nf_ct_unexpect_related" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x5de4c26, "param_ops_int" },
	{ 0xccc56838, "param_ops_uint" },
	{ 0xb2eb3864, "param_array_ops" },
	{ 0xa03fe98c, "param_ops_ushort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x76ec6743, "nf_ct_helper_init" },
	{ 0xbfeb6ff8, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0xe8760965, "nf_conntrack_helpers_unregister" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x42033a0a, "nf_ct_helper_log" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "AD455FB6BE9E047D00AD0A3");
MODULE_INFO(rhelversion, "9.6");
