#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x27534792, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xf9b1419d, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x023493c4, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x450d976d, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x1ee1d8ed, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xa6e9fbac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3058900f, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd6ca6f8a, "nsh_pop" },
	{ 0x1c2f9d4f, "nf_conntrack_find_get" },
	{ 0x5d111ac0, "nf_ct_set_timeout" },
	{ 0x4df22551, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0x2292887e, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9a91fe15, "dev_fill_metadata_dst" },
	{ 0x78119835, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x5df340c5, "nf_ct_handle_fragments" },
	{ 0x98010e39, "eth_mac_addr" },
	{ 0x5311409, "skb_put" },
	{ 0x8ea6ba3b, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc79402aa, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb433400e, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9be7becb, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8ea2b19c, "skb_eth_pop" },
	{ 0x8947ad0c, "trace_raw_output_prep" },
	{ 0x2833e962, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x984853c9, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xde3a8072, "nf_ct_helper" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0xd45e8c84, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xd46f8f31, "trace_event_printf" },
	{ 0x9262abb4, "rtnl_delete_link" },
	{ 0x8332974a, "rtnl_link_register" },
	{ 0x8ee9ef78, "nf_connlabels_put" },
	{ 0xcf6eb1bf, "genlmsg_put" },
	{ 0x87f8fb29, "___pskb_trim" },
	{ 0x2f4711db, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf4596210, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xd1220bf4, "dev_set_promiscuity" },
	{ 0x32afe87e, "nf_ct_destroy_timeout" },
	{ 0xaf0c300b, "nf_ct_add_helper" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4147b343, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xba11cda, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x31baa758, "nf_ct_skb_network_trim" },
	{ 0xee2bfc53, "event_triggers_call" },
	{ 0xf5608d00, "unregister_netdevice_queue" },
	{ 0x91651f4, "kmem_cache_create" },
	{ 0x50f99440, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0xf5095737, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdce5e7cc, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x36053a2e, "pskb_expand_head" },
	{ 0x804a5897, "skb_csum_hwoffload_help" },
	{ 0xf46782bb, "trace_event_buffer_commit" },
	{ 0x6589db30, "nf_connlabels_replace" },
	{ 0x8cfcdb9c, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfbb2a83e, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1866f481, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x438b09fc, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xa74a062d, "trace_event_ignore_this_pid" },
	{ 0x42aa9a2a, "skb_eth_push" },
	{ 0xd005770b, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x39d948ec, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x8f1a1edd, "kmem_cache_alloc" },
	{ 0x8cddf98b, "skb_mpls_pop" },
	{ 0x565068c, "skb_vlan_pop" },
	{ 0x21f13de7, "dst_init" },
	{ 0xf379dc97, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x28e9e953, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x510d8182, "rtnl_link_unregister" },
	{ 0x4cf99a17, "perf_trace_run_bpf_submit" },
	{ 0xa5dcfe7c, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xf9d293c1, "ipv6_stub" },
	{ 0x5d06cda, "skb_mpls_update_lse" },
	{ 0x2bdacc16, "skb_pull" },
	{ 0x10a7f296, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4036da25, "sk_skb_reason_drop" },
	{ 0xea903590, "netlink_unicast" },
	{ 0xf3b78b19, "bpf_trace_run5" },
	{ 0x30a61681, "dev_get_by_index_rcu" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x399709dc, "skb_push" },
	{ 0x8ebfb8b6, "kmem_cache_free" },
	{ 0xcfc337db, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xbb39ce87, "trace_event_reg" },
	{ 0x4b952e0e, "skb_ensure_writable" },
	{ 0x60619417, "free_netdev" },
	{ 0xf11edd1, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3bd63cd7, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8845a80, "ethtool_op_get_link" },
	{ 0xd6a866bf, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x638b8b32, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x33e2ba49, "__pskb_pull_tail" },
	{ 0xa3ddf5d1, "nf_ct_delete" },
	{ 0xf8290746, "nf_conncount_init" },
	{ 0x9a950cf0, "skb_vlan_push" },
	{ 0x31611e03, "dev_get_tstats64" },
	{ 0xb3906461, "netif_rx" },
	{ 0x67b58af1, "__netdev_alloc_skb" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0x59c565f2, "netdev_master_upper_dev_link" },
	{ 0xddc3d9bd, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x85eb0e59, "down_read" },
	{ 0x1786bb0a, "inet_proto_csum_replace16" },
	{ 0xd5d1b88a, "skb_trim" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x649d1b88, "skb_scrub_packet" },
	{ 0x23ef5259, "nf_ct_deliver_cached_events" },
	{ 0x9176c501, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x37b428dd, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x735b316b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xeb3c444e, "trace_event_buffer_reserve" },
	{ 0x1e368619, "__skb_checksum" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf5b322f0, "inet_proto_csum_replace4" },
	{ 0xb611213e, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x8418d4bc, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x850e9110, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc6b8ecfb, "dev_get_by_name" },
	{ 0xaae7ca4b, "skb_clone" },
	{ 0x5e2f19f2, "metadata_dst_alloc" },
	{ 0xa92d614e, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x615da9b4, "peernet2id_alloc" },
	{ 0xfbe7ff25, "nf_ct_get_tuplepr" },
	{ 0x104fa3c4, "netdev_rx_handler_register" },
	{ 0x6a5d80ad, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x4d89df3d, "genl_unregister_family" },
	{ 0x21190680, "dev_disable_lro" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x68a8cedf, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd481b1, "genl_register_family" },
	{ 0x9a5f4483, "nf_ct_tmpl_free" },
	{ 0xf3f01748, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x80d2c0e5, "__skb_gso_segment" },
	{ 0x513d9025, "up_read" },
	{ 0xf14beaac, "skb_mpls_push" },
	{ 0xe70d76be, "register_pernet_device" },
	{ 0x34f4ef8f, "nf_conntrack_in" },
	{ 0x956a690a, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x3bf1353e, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1774ae63, "kmem_cache_destroy" },
	{ 0x57374324, "__skb_vlan_pop" },
	{ 0x12e17c77, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbcb402e2, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "AC0920AF4C02966DA61C801");
MODULE_INFO(rhelversion, "9.6");
