#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xb9af39d2, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x27078aad, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x74f4e786, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa25c8ab, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x3135fb23, "sock_queue_rcv_skb_reason" },
	{ 0x4a4f9862, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x78119835, "bpf_trace_run4" },
	{ 0xcf1fc2bd, "skb_copy_bits" },
	{ 0x3f340130, "radix_tree_insert" },
	{ 0x5311409, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb433400e, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8947ad0c, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0xfa163814, "radix_tree_lookup" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0xd46f8f31, "trace_event_printf" },
	{ 0x32f7e8b8, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2f4711db, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2c8321a8, "__tracepoint_sk_data_ready" },
	{ 0xee2bfc53, "event_triggers_call" },
	{ 0xe0d47983, "__wake_up" },
	{ 0x34cae653, "__module_get" },
	{ 0xd394380b, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa13cbc4f, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb43e09df, "sk_error_report" },
	{ 0x96d14eb3, "skb_queue_purge_reason" },
	{ 0x2177a10c, "radix_tree_iter_delete" },
	{ 0xf46782bb, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x2f983b3e, "proto_unregister" },
	{ 0x499a1195, "sock_register" },
	{ 0xf1ce35f5, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa74a062d, "trace_event_ignore_this_pid" },
	{ 0x39d948ec, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6ab7860b, "rt_write_unlock" },
	{ 0xe3671eaf, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf379dc97, "module_put" },
	{ 0x8bf51ae0, "__xa_alloc" },
	{ 0xbb5850de, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4cf99a17, "perf_trace_run_bpf_submit" },
	{ 0xa5dcfe7c, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2b3e6b0f, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4036da25, "sk_skb_reason_drop" },
	{ 0x9e7eb942, "xa_load" },
	{ 0x4d6fbe66, "__SCK__tp_func_sk_data_ready" },
	{ 0x59670f26, "kernel_getsockname" },
	{ 0xe707eae1, "do_wait_intr_irq" },
	{ 0x116d660, "sk_free" },
	{ 0x20070490, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x399709dc, "skb_push" },
	{ 0x771c8a94, "sock_no_listen" },
	{ 0xbb39ce87, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x61ff4b0b, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9f4c88fc, "skb_copy_datagram_iter" },
	{ 0x5f7b24cf, "sk_alloc" },
	{ 0x3d1d01cc, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x45e12ae2, "sock_no_mmap" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0x2316de2d, "sock_no_sendpage" },
	{ 0x67b58af1, "__netdev_alloc_skb" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0xa2199844, "__xa_insert" },
	{ 0x8bea0e85, "xa_erase" },
	{ 0x7f3bd671, "bpf_trace_run3" },
	{ 0x8313657e, "skb_set_owner_w" },
	{ 0xeb3c444e, "trace_event_buffer_reserve" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xceef65bf, "sock_create_kern" },
	{ 0x27f85bb7, "xa_find" },
	{ 0x8f827dde, "skb_recv_datagram" },
	{ 0xe6022ead, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x14ef3530, "xa_store" },
	{ 0x898a6527, "rt_write_lock" },
	{ 0x3362b93, "_copy_from_iter" },
	{ 0x16c1e84d, "sock_release" },
	{ 0x3ff37f9e, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe7211bff, "xa_find_after" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa68f2483, "iov_iter_revert" },
	{ 0x985cee5e, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0x4b683b56, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x4d840476, "release_sock" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.6");
