#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x6d0b7280, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x34340581, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xd35bf525, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xf0fae30b, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xeaf62edf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35b0f361, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x5dfb1c0e, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbb976e06, "inet_addr_type_table" },
	{ 0x7bde1ba4, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xcf1fc2bd, "skb_copy_bits" },
	{ 0xd4efd4b3, "inet_unregister_protosw" },
	{ 0x5818b6a2, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcdbed88f, "sock_wfree" },
	{ 0x5311409, "skb_put" },
	{ 0x9578d7ea, "register_net_sysctl" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x63691174, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3ffd5414, "ip6_dst_hoplimit" },
	{ 0xb433400e, "consume_skb" },
	{ 0xfbffda07, "inet6_add_offload" },
	{ 0x8e7eef92, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe54aac2b, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8947ad0c, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x55892dea, "l3mdev_fib_table_by_index" },
	{ 0x5750f145, "udp_sock_create4" },
	{ 0x52cd9bc1, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd985c1f7, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0x5894250f, "finish_wait" },
	{ 0x5e2b834b, "skb_segment" },
	{ 0xd46f8f31, "trace_event_printf" },
	{ 0x59d4c447, "__ip_dev_find" },
	{ 0xa1a264e1, "udp_tunnel6_xmit_skb" },
	{ 0x5f016bff, "sock_common_getsockopt" },
	{ 0x72c8367e, "inet_bind" },
	{ 0xe0cf4a8b, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xcac29415, "prepare_to_wait" },
	{ 0x98d8fdc4, "fd_install" },
	{ 0x2f4711db, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x8f4879c1, "inet_register_protosw" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x2322861e, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0x2c8321a8, "__tracepoint_sk_data_ready" },
	{ 0x24899d5f, "bpf_trace_run2" },
	{ 0x48ce524c, "sock_common_setsockopt" },
	{ 0x1fdf304d, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe0d47983, "__wake_up" },
	{ 0xee2bfc53, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x96ab184a, "ip_route_output_flow" },
	{ 0xd0d3c0c4, "rhashtable_walk_enter" },
	{ 0x91651f4, "kmem_cache_create" },
	{ 0x5376a141, "__sk_mem_schedule" },
	{ 0x139b8aec, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x26cf9750, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3a2ca136, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xb43e09df, "sk_error_report" },
	{ 0xdbd3df12, "register_pernet_subsys" },
	{ 0x1d993426, "put_cmsg" },
	{ 0xf46782bb, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x606fdb87, "inet_sock_destruct" },
	{ 0x178c2d60, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x23458cc9, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7bce6bea, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xc38c64f8, "inet_getname" },
	{ 0x2f983b3e, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa74a062d, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x39d948ec, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xe73e59a, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6ab7860b, "rt_write_unlock" },
	{ 0x8f1a1edd, "kmem_cache_alloc" },
	{ 0xe3671eaf, "proto_register" },
	{ 0x858f9b34, "skb_copy_expand" },
	{ 0x355337a5, "__wake_up_sync_key" },
	{ 0xef9a6739, "__sock_recv_ts_and_drops" },
	{ 0x1cb3343a, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x29671eb4, "idr_remove" },
	{ 0xe72b20af, "inet_ctl_sock_create" },
	{ 0x35119686, "inet_ioctl" },
	{ 0xa24ffe98, "reuseport_add_sock" },
	{ 0x982bc87c, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x7d16f3b0, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x56968e7, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4cf99a17, "perf_trace_run_bpf_submit" },
	{ 0xa4aa377, "fput" },
	{ 0xc2ac9d5d, "inet_accept" },
	{ 0xa5dcfe7c, "init_net" },
	{ 0xa2d61b4a, "crypto_shash_setkey" },
	{ 0x2bdacc16, "skb_pull" },
	{ 0xc5701b80, "inet_add_offload" },
	{ 0x20298264, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4036da25, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x4d6fbe66, "__SCK__tp_func_sk_data_ready" },
	{ 0x57360a5a, "inet_add_protocol" },
	{ 0xed06231b, "inet_shutdown" },
	{ 0x116d660, "sk_free" },
	{ 0x50b6769d, "sock_wake_async" },
	{ 0x30a61681, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0xcbd0e85, "inet_del_offload" },
	{ 0x399709dc, "skb_push" },
	{ 0xd108749a, "__ip_queue_xmit" },
	{ 0x8ebfb8b6, "kmem_cache_free" },
	{ 0x8dc6728, "__sk_mem_reclaim" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x1cf4ec25, "proc_doulongvec_minmax" },
	{ 0xbb39ce87, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd0e126ac, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0xa2c9ccdc, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x61ff4b0b, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x4fa4ffb6, "inet6_ioctl" },
	{ 0x9f4c88fc, "skb_copy_datagram_iter" },
	{ 0x981d2901, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf1220b1c, "idr_alloc_cyclic" },
	{ 0x5f7b24cf, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x708957b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x86e18e74, "ip6_dst_lookup_flow" },
	{ 0x2239d975, "rhashtable_free_and_destroy" },
	{ 0x3d1d01cc, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x30635fc0, "rht_bucket_nested_insert" },
	{ 0xbfb34502, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x45e12ae2, "sock_no_mmap" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0x33e2ba49, "__pskb_pull_tail" },
	{ 0x2316de2d, "sock_no_sendpage" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0x1281058, "setup_udp_tunnel_sock" },
	{ 0x5008eff, "udp_sock_create6" },
	{ 0xd5d1b88a, "skb_trim" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd9b92fb, "sk_common_release" },
	{ 0x7f3bd671, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x89d4c58, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x7a50793e, "rt_read_lock" },
	{ 0x808ab34f, "inet6_getname" },
	{ 0xcbb54445, "sock_i_ino" },
	{ 0x7b6cb6a4, "inet6_sock_destruct" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x47dbca41, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xcf709e50, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x572e3d3f, "ipv4_mtu" },
	{ 0x8313657e, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xeb3c444e, "trace_event_buffer_reserve" },
	{ 0x1e368619, "__skb_checksum" },
	{ 0x5683db4b, "reuseport_alloc" },
	{ 0xd3d6ef77, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xd49ce218, "inet6_release" },
	{ 0x91478d1d, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x8f6f0b90, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb8b78e18, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x5e803835, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe5b68086, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc39e91b1, "rhltable_init" },
	{ 0x7bf77d65, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54cbb612, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x2965820e, "proc_create_net_single" },
	{ 0xa2f83603, "skb_copy" },
	{ 0xaae7ca4b, "skb_clone" },
	{ 0x3def9c4, "inet_sk_set_state" },
	{ 0xa92d614e, "dst_release" },
	{ 0x898a6527, "rt_write_lock" },
	{ 0x3362b93, "_copy_from_iter" },
	{ 0x16c1e84d, "sock_release" },
	{ 0x760fce26, "inet_recv_error" },
	{ 0xcc618285, "proc_dointvec" },
	{ 0x5088c9ac, "seq_puts" },
	{ 0x3ff37f9e, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0x93809f2f, "rhashtable_walk_next" },
	{ 0xd072aa6a, "_proc_mkdir" },
	{ 0x82e3f7c9, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcadaf769, "send_sig" },
	{ 0x8dbced24, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x3ddded95, "inet6_add_protocol" },
	{ 0xeb724f4, "from_kuid_munged" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x3140e130, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0x628fa5c1, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9d52cb47, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x90aa2845, "reuseport_detach_sock" },
	{ 0xa221148c, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xa68f2483, "iov_iter_revert" },
	{ 0xa835f0fe, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x2bb5d78f, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xcd87a107, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4b683b56, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0x1774ae63, "kmem_cache_destroy" },
	{ 0x4d840476, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeb7a334a, "skb_queue_head" },
	{ 0x7d6e70c8, "proc_dointvec_minmax" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "218632A41ED2E03CADC829E");
MODULE_INFO(rhelversion, "9.6");
