#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x0df92074, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xb1c22683, "_gpl");
SYMBOL_CRC(tls_get_record, 0x9c9cf849, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x50f17673, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x2699e14f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a793dcb, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xdf3250b6, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x31218dd5, "tcp_read_sock" },
	{ 0x78119835, "bpf_trace_run4" },
	{ 0xcf1fc2bd, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf74f24b0, "sk_page_frag_refill" },
	{ 0x5311409, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb433400e, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8947ad0c, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xc85faab7, "sk_psock_msg_verdict" },
	{ 0xa2faf65e, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0xd46f8f31, "trace_event_printf" },
	{ 0x48c8638b, "iov_iter_get_pages2" },
	{ 0x87f8fb29, "___pskb_trim" },
	{ 0x2f4711db, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x86a1febc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x99467693, "add_wait_queue" },
	{ 0xc7fff0aa, "__put_devmap_managed_page_refs" },
	{ 0xd584021d, "clean_acked_data_enable" },
	{ 0x8e00335f, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x77db7f45, "crypto_alloc_aead" },
	{ 0x2c8321a8, "__tracepoint_sk_data_ready" },
	{ 0xf61feb28, "crypto_aead_setauthsize" },
	{ 0x80949cd5, "crypto_aead_decrypt" },
	{ 0xee2bfc53, "event_triggers_call" },
	{ 0xe0d47983, "__wake_up" },
	{ 0x3d62c110, "sk_stream_error" },
	{ 0x382b4e05, "sk_msg_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f634524, "sk_msg_memcopy_from_iter" },
	{ 0xb43e09df, "sk_error_report" },
	{ 0xdbd3df12, "register_pernet_subsys" },
	{ 0x1d993426, "put_cmsg" },
	{ 0xb0786d3, "__sk_flush_backlog" },
	{ 0xf46782bb, "trace_event_buffer_commit" },
	{ 0x178c2d60, "crypto_destroy_tfm" },
	{ 0x87e96375, "do_tcp_sendpages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9f706868, "sk_psock_tls_strp_read" },
	{ 0x1d5ef9db, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xa74a062d, "trace_event_ignore_this_pid" },
	{ 0x39d948ec, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6ab7860b, "rt_write_unlock" },
	{ 0x1be02904, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xe22019e, "tcp_recv_skb" },
	{ 0xccfc2cdb, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4cf99a17, "perf_trace_run_bpf_submit" },
	{ 0x640c6fc7, "down_write" },
	{ 0x938088dc, "crypto_req_done" },
	{ 0x3d6b844e, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x579e4007, "crypto_aead_encrypt" },
	{ 0x4036da25, "sk_skb_reason_drop" },
	{ 0x4d6fbe66, "__SCK__tp_func_sk_data_ready" },
	{ 0xf3b78b19, "bpf_trace_run5" },
	{ 0x116d660, "sk_free" },
	{ 0xff17411d, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xec734f47, "mutex_lock" },
	{ 0x8dc6728, "__sk_mem_reclaim" },
	{ 0x423f976a, "sk_stream_wait_memory" },
	{ 0xf00a075f, "nla_put" },
	{ 0xbb39ce87, "trace_event_reg" },
	{ 0xeb68571b, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x39f710a5, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x61ff4b0b, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa36bf69a, "sk_msg_return_zero" },
	{ 0x26c842f4, "mutex_lock_interruptible" },
	{ 0x9f4c88fc, "skb_copy_datagram_iter" },
	{ 0x42bb15e5, "bpf_trace_run1" },
	{ 0x745981a4, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x708957b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xef29b3a6, "sock_efree" },
	{ 0xa4cd20a1, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x74239e1, "clean_acked_data_disable" },
	{ 0xc703eac9, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xf835a6f3, "rt_spin_unlock" },
	{ 0x619a68b, "sk_msg_free_partial" },
	{ 0x85eb0e59, "down_read" },
	{ 0xd5d1b88a, "skb_trim" },
	{ 0x49449ea, "mutex_trylock" },
	{ 0xe3a5537b, "rt_spin_lock" },
	{ 0xac2fd373, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x148dc963, "tcp_register_ulp" },
	{ 0x7f3bd671, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x61dd84fe, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc49948a, "skb_page_frag_refill" },
	{ 0xeb3c444e, "trace_event_buffer_reserve" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xfafaab26, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x9206fc87, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1f1d22d, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x39fb80ab, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x54cbb612, "seq_printf" },
	{ 0x2965820e, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xaae7ca4b, "skb_clone" },
	{ 0xa92d614e, "dst_release" },
	{ 0x898a6527, "rt_write_lock" },
	{ 0x3362b93, "_copy_from_iter" },
	{ 0xc75759a, "skb_copy_header" },
	{ 0xe8608fdf, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x21995910, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xe858ad8c, "netdev_sk_get_lowest_dev" },
	{ 0x66180f9f, "sk_msg_alloc" },
	{ 0xd6c882d5, "kmalloc_trace" },
	{ 0x59fcd96d, "_copy_from_iter_nocache" },
	{ 0x8c5c4b6b, "tcp_rate_check_app_limited" },
	{ 0x3927c73f, "tcp_poll" },
	{ 0xa68f2483, "iov_iter_revert" },
	{ 0x8a25b04, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xde8aad78, "skb_to_sgvec" },
	{ 0x513d9025, "up_read" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0xdf3dfc4a, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcb22c879, "kmalloc_caches" },
	{ 0xf4eb7321, "tcp_read_done" },
	{ 0x4d840476, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7056DAA37D02E0E08BCAB4D");
MODULE_INFO(rhelversion, "9.6");
