#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x676d679e, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x755c7c3e, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x43487ba5, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x0cdfc57b, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x7bfdfbab, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0xe8441d48, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x6da29188, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0xc12a64ea, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x69c0fd7a, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x6de41ec1, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x7293dafb, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x47d80c47, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x99d7a9b7, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0xeb34cdf2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xa90428b0, "device_property_present" },
	{ 0x32a8a6ae, "regcache_cache_only" },
	{ 0xde1d7d9, "regcache_sync" },
	{ 0xa26b6389, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x26bacee2, "snd_soc_jack_report" },
	{ 0x8518e5df, "rt_mutex_base_init" },
	{ 0xc8a0b0b1, "gpiod_set_value_cansleep" },
	{ 0x747738d0, "snd_pcm_hw_constraint_minmax" },
	{ 0xb10fd31f, "regcache_sync_region" },
	{ 0xa9dfc3ea, "snd_soc_put_enum_double" },
	{ 0xe4ef2e31, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc84309ce, "devm_gpiod_get_optional" },
	{ 0xd18eed39, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x952b54fe, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc1c7d896, "device_property_read_u32_array" },
	{ 0xc4e450a4, "snd_soc_get_enum_double" },
	{ 0xfab80cb1, "_dev_info" },
	{ 0xe0df778d, "snd_soc_info_volsw" },
	{ 0x88629388, "regcache_drop_region" },
	{ 0x77bb4606, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xec734f47, "mutex_lock" },
	{ 0xc387d924, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc7248442, "snd_soc_info_enum_double" },
	{ 0xb27d11b7, "snd_soc_get_volsw" },
	{ 0xeb4c8638, "regmap_read" },
	{ 0x8d294189, "snd_soc_put_volsw" },
	{ 0x33ce2111, "snd_soc_component_update_bits" },
	{ 0x95004cc1, "__pm_runtime_resume" },
	{ 0x7af7a6d, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7f220a63, "regmap_bulk_read" },
	{ 0x7c97632, "regmap_update_bits_base" },
	{ 0x4fc9a1b0, "dev_err_probe" },
	{ 0x7aa05c8d, "regmap_multi_reg_write" },
	{ 0xccde454f, "__pm_runtime_suspend" },
	{ 0xfadc58ae, "__mutex_rt_init" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x3cb374b4, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "0CFCC13CFCF1A0369B62361");
MODULE_INFO(rhelversion, "9.6");
